//
//  CLHUD.m
//  ShanYanSDK_Demo
//
//  Created by wanglijun on 2019/7/2.
//  Copyright © 2019 wanglijun. All rights reserved.
//

#import "CLHUD.h"

#define SCREENSCALE  [UIScreen mainScreen].bounds.size.width/375.0


@implementation CLHUD
+ (void)showMessage:(UIView *)containtView message:(NSString *)message{
    if (containtView == nil || ![containtView isKindOfClass:[UIView class]]) {
        return;
    }
    if ([containtView viewWithTag:654623]) {
        return;
    }
    dispatch_async(dispatch_get_main_queue(), ^{
        UILabel * messageLabel = [UILabel new];
        messageLabel.tag = 654623;
        messageLabel.translatesAutoresizingMaskIntoConstraints = NO;
        messageLabel.text = message;
        messageLabel.textColor = UIColor.whiteColor;
        messageLabel.backgroundColor = [UIColor colorWithWhite:0.2 alpha:0.5];
        messageLabel.layer.cornerRadius = 4;
        messageLabel.textAlignment = NSTextAlignmentCenter;
        messageLabel.layer.cornerRadius = 10;
        messageLabel.font = [UIFont systemFontOfSize:14];
        messageLabel.layer.masksToBounds = YES;
        messageLabel.numberOfLines = 0 ;
        //[messageLabel sizeToFit];
        
        [containtView addSubview:messageLabel];
        NSLayoutConstraint * messageLabelCenterX = [NSLayoutConstraint constraintWithItem:messageLabel attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterX multiplier:1.0f constant:0];
        NSLayoutConstraint * messageLabelCenterY = [NSLayoutConstraint constraintWithItem:messageLabel attribute:NSLayoutAttributeBottom relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeBottom multiplier:1.0f constant:-40];
        NSLayoutConstraint * messageLabelCWidth = [NSLayoutConstraint constraintWithItem:messageLabel attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0f constant:containtView.bounds.size.width*0.5];
        NSLayoutConstraint * messageLabelCHeight = [NSLayoutConstraint constraintWithItem:messageLabel attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationGreaterThanOrEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0f constant:38];
        messageLabelCenterX.active = YES;
        messageLabelCenterY.active = YES;
        messageLabelCWidth.active = YES;
        messageLabelCHeight.active = YES;
        
        dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1.5 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
            [UIView animateWithDuration:3 animations:^{
                [messageLabel setHidden:YES];
                [messageLabel removeFromSuperview];
            }];
        });
    });
}


+ (void)showLoading:(UIView *)containtView loadingSize:(NSValue *)loadingSizeValue indicatorStyle:(NSNumber *)indicatorStyle cornerRadius:(NSNumber *)cornerRadiusNumber backgroundColor:(UIColor *)backgroundColor tintColor:(UIColor *)tintColor{
    if (containtView == nil || ![containtView isKindOfClass:[UIView class]]) {
        return;
    }
    
    dispatch_async(dispatch_get_main_queue(), ^{
        UIView * hudBGView = [containtView viewWithTag:312312];
        if (hudBGView == nil) {
            hudBGView = [[UIView alloc]initWithFrame:containtView.bounds];
            hudBGView.translatesAutoresizingMaskIntoConstraints = NO;
            hudBGView.tag = 312312;
            [containtView addSubview:hudBGView];
            NSLayoutConstraint * bgViewCenterX = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterX multiplier:1.0f constant:0];
            NSLayoutConstraint * bgViewCenterY = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeCenterY relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterY multiplier:1.0f constant:0];
            NSLayoutConstraint * bgViewCWidth = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeWidth multiplier:1.0f constant:0];
            NSLayoutConstraint * bgViewCHeight = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeHeight multiplier:1.0f constant:0];
            bgViewCenterX.active = YES;
            bgViewCenterY.active = YES;
            bgViewCWidth.active = YES;
            bgViewCHeight.active = YES;
        }else{
            for (UIView * subView in hudBGView.subviews) {
                [subView removeFromSuperview];
            }
        }
        
        UIView * hudView = [[UIView alloc]initWithFrame:CGRectMake(0, 0, 60, 60)];
        hudView.translatesAutoresizingMaskIntoConstraints = NO;
        [hudBGView addSubview:hudView];
        if (backgroundColor == nil) {
            hudView.backgroundColor = [UIColor colorWithWhite:0.8 alpha:0.9];
        }else{
            hudView.backgroundColor = backgroundColor;
        }
        if (cornerRadiusNumber == nil) {
            hudView.layer.cornerRadius = 5;
        }else{
            hudView.layer.cornerRadius = cornerRadiusNumber.floatValue;
        }
        
        UIActivityIndicatorViewStyle style = UIActivityIndicatorViewStyleWhiteLarge;
        if (indicatorStyle != nil) {
            style = indicatorStyle.integerValue;
        }
        UIActivityIndicatorView * indicatorView = [[UIActivityIndicatorView alloc]initWithActivityIndicatorStyle:style];
        [hudBGView addSubview:indicatorView];
        if (tintColor) {
            indicatorView.color = tintColor;
        }
        indicatorView.hidesWhenStopped = YES;
        [indicatorView startAnimating];
        indicatorView.translatesAutoresizingMaskIntoConstraints = NO;
        
        NSLayoutConstraint * indicatorCenterX = [NSLayoutConstraint constraintWithItem:indicatorView attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterX multiplier:1.0f constant:0];
        NSLayoutConstraint * indicatorCenterY = [NSLayoutConstraint constraintWithItem:indicatorView attribute:NSLayoutAttributeCenterY relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterY multiplier:1.0f constant:0];
        NSLayoutConstraint * indicatorCWidth = [NSLayoutConstraint constraintWithItem:indicatorView attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0f constant:35];
        NSLayoutConstraint * indicatorCHeight = [NSLayoutConstraint constraintWithItem:indicatorView attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0f constant:35];
        indicatorCenterX.active = YES;
        indicatorCenterY.active = YES;
        indicatorCWidth.active = YES;
        indicatorCHeight.active = YES;
        
        CGFloat hudViewWidth = 80*SCREENSCALE;
        CGFloat hudViewHeight = 80*SCREENSCALE;
        if (loadingSizeValue) {
            hudViewWidth = loadingSizeValue.CGSizeValue.width;
            hudViewHeight = loadingSizeValue.CGSizeValue.height;
        }
        NSLayoutConstraint * indicatorBGCenterX = [NSLayoutConstraint constraintWithItem:hudView attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterX multiplier:1.0f constant:0];
        NSLayoutConstraint * indicatorBGCenterY = [NSLayoutConstraint constraintWithItem:hudView attribute:NSLayoutAttributeCenterY relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterY multiplier:1.0f constant:0];
        NSLayoutConstraint * indicatorBGCWidth = [NSLayoutConstraint constraintWithItem:hudView attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0f constant:hudViewWidth];
        NSLayoutConstraint * indicatorBGCHeight = [NSLayoutConstraint constraintWithItem:hudView attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:nil attribute:NSLayoutAttributeNotAnAttribute multiplier:1.0f constant:hudViewHeight];
        indicatorBGCenterX.active = YES;
        indicatorBGCenterY.active = YES;
        indicatorBGCWidth.active = YES;
        indicatorBGCHeight.active = YES;
    });
}
+ (void)hideLoading:(UIView *)containtView{
    if (containtView == nil || ![containtView isKindOfClass:[UIView class]]) {
        return;
    }

    dispatch_async(dispatch_get_main_queue(), ^{
        UIView * hudBGView = [containtView viewWithTag:312312];
        if (hudBGView == nil) {
            return;
        }
        for (UIView * subView in hudBGView.subviews) {
            [subView removeFromSuperview];
        }
        [hudBGView removeFromSuperview];
    });
}

+ (void)showLoading:(UIView *)containtView animationBlock:(void (^)(UIView * _Nonnull loadingView))loadingBlock{
    if (containtView == nil || ![containtView isKindOfClass:[UIView class]]) {
        return;
    }
    
    dispatch_async(dispatch_get_main_queue(), ^{
        UIView * hudBGView = [containtView viewWithTag:312312];
        if (hudBGView == nil) {
            hudBGView = [[UIView alloc]initWithFrame:containtView.bounds];
            hudBGView.translatesAutoresizingMaskIntoConstraints = NO;
            hudBGView.tag = 312312;
            [containtView addSubview:hudBGView];
            NSLayoutConstraint * bgViewCenterX = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeCenterX relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterX multiplier:1.0f constant:0];
            NSLayoutConstraint * bgViewCenterY = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeCenterY relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeCenterY multiplier:1.0f constant:0];
            NSLayoutConstraint * bgViewCWidth = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeWidth relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeWidth multiplier:1.0f constant:0];
            NSLayoutConstraint * bgViewCHeight = [NSLayoutConstraint constraintWithItem:hudBGView attribute:NSLayoutAttributeHeight relatedBy:NSLayoutRelationEqual toItem:containtView attribute:NSLayoutAttributeHeight multiplier:1.0f constant:0];
            bgViewCenterX.active = YES;
            bgViewCenterY.active = YES;
            bgViewCWidth.active = YES;
            bgViewCHeight.active = YES;
        }else{
            for (UIView * subView in hudBGView.subviews) {
                [subView removeFromSuperview];
            }
        }
        if (loadingBlock) {
            loadingBlock(containtView);
        }
    });
}
@end
