//
//  PhoneNumberCheckController.m
//  ShanYanSDK_Demo
//
//  Created by wanglijun on 2019/10/11.
//  Copyright © 2019 wanglijun. All rights reserved.
//

#import "PhoneNumberCheckController.h"

@interface PhoneNumberCheckController ()
@property(nonatomic,strong)UITextField * phoneNumberField ;
@end

@implementation PhoneNumberCheckController
-(void)back{
    [self dismissViewControllerAnimated:YES completion:nil];
}
- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.title = @"本机号校验";
    self.view.backgroundColor = UIColor.whiteColor;
    
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithBarButtonSystemItem:UIBarButtonSystemItemCancel target:self action:@selector(back)];
    
    _phoneNumberField = [[UITextField alloc]init];
    [self.view addSubview:_phoneNumberField];
    [_phoneNumberField mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.mas_equalTo(0);
        make.centerY.mas_equalTo(-60);
        make.width.mas_equalTo(self.view).multipliedBy(0.8);
        make.height.mas_equalTo(44);
    }];
//    _phoneNumberField.hidden = YES;
    _phoneNumberField.attributedPlaceholder = [[NSAttributedString alloc]initWithString:@"" attributes:@{NSFontAttributeName:[UIFont systemFontOfSize:14],NSForegroundColorAttributeName:[UIColor grayColor]}];
    _phoneNumberField.borderStyle = UITextBorderStyleRoundedRect;

    UIButton * check = [[UIButton alloc]init];
    [self.view addSubview:check];
    [check mas_makeConstraints:^(MASConstraintMaker *make) {
        make.size.centerX.mas_equalTo(self.phoneNumberField);
        make.top.mas_equalTo(self.phoneNumberField.mas_bottom).offset(30);
    }];
    [check setTitle:@"本机号校验" forState:(UIControlStateNormal)];
    [check setTitleColor:UIColor.whiteColor forState:(UIControlStateNormal)];
    [check setBackgroundColor:UIColor.blueColor];
    [check addTarget:self action:@selector(phoneNumberCheck:) forControlEvents:(UIControlEventTouchUpInside)];
}




-(void)phoneNumberCheck:(UIButton *)sender{
    [self.view endEditing:YES];
    
    
    CLConsoleLog(@"mobileCheckWithLocalPhoneNumber:本机校验开始");
    
//    if (![self checkTelNumber:_phoneNumberField.text]) {
//        [CLHUD showMessage:self.view message:@"输入正确的手机号"];
//        return;
//    }

    [sender setEnabled:NO];
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        [sender setEnabled:YES];
    });
    
//    _phoneNumberField.text = [_phoneNumberField.text stringByReplacingOccurrencesOfString:@" " withString:@""];

    __weak typeof(self) weakSelf = self;
    [CLHUD showLoading:self.view loadingSize:[NSValue valueWithCGSize:CGSizeMake(40, 40)] indicatorStyle:@(UIActivityIndicatorViewStyleWhite) cornerRadius:@(2) backgroundColor:[UIColor colorWithWhite:1 alpha:0.9] tintColor:UIColor.blueColor];
    
    [CLShanYanSDKManager mobileCheckWithLocalPhoneNumberComplete:^(CLCompleteResult * _Nonnull completeResult) {
        
        if (completeResult.error) {
            
            dispatch_async(dispatch_get_main_queue(), ^{
                [CLHUD hideLoading:weakSelf.view];
                CLConsoleLog(@"mobileCheckWithLocalPhoneNumber:%@\n",completeResult.error.description);
                [CLHUD showMessage:weakSelf.view message:completeResult.message];
            });

        }else{
            
            dispatch_async(dispatch_get_main_queue(), ^{
                CLConsoleLog(@"mobileCheckWithLocalPhoneNumber:%@\n",completeResult.yy_modelToJSONObject);
            });

            [weakSelf checkPhonenumber:completeResult.data];
        }
    }];
}

//此处模拟客户服务端调用闪验服务端，依照闪验服务端文档，实际情景下，app需要调用自己的服务端接口，将整个token传给服务端，整个token的验证在客户服务端进行，客户服务端将结果返回给app
- (void)checkPhonenumber:(NSDictionary *)completeResultData{

    NSLog(@"tokenParamr:%@",completeResultData);
    
//    CFAbsoluteTime start = CFAbsoluteTimeGetCurrent();
    NSMutableDictionary * paramr = [NSMutableDictionary dictionaryWithDictionary:completeResultData];
    paramr[@"appId"] = cl_SDK_APPID;
    paramr[@"mobile"] = _phoneNumberField.text;

    NSMutableString *formDataString = [NSMutableString new];
    NSArray * keys = [paramr.allKeys sortedArrayUsingComparator:^NSComparisonResult(id  _Nonnull obj1, id  _Nonnull obj2) {
        NSString * objString1 = [NSString stringWithFormat:@"%@",obj1];
        NSString * objString2 = [NSString stringWithFormat:@"%@",obj2];
        return [objString1 compare:objString2];
    }];
    for (NSString * key in keys) {
        [formDataString appendString:key];
        [formDataString appendString:paramr[key]];
    }
    
    CocoaSecurityResult * hmacSha256Result = [CocoaSecurity hmacSha256:formDataString hmacKey:cl_SDK_APPKEY];
    paramr[@"sign"] = hmacSha256Result.hex;

    NSLog(@"%@",paramr);
    __weak typeof(self) weakSelf = self;
    [NetWorkManager POST_url:cl_SDK_URL_MobileValidate withParameter:paramr complete:^(NSDictionary * _Nonnull responseObject, NSError * _Nonnull error) {
        
        dispatch_async(dispatch_get_main_queue(), ^{
            [CLHUD hideLoading:weakSelf.view];
        });
        
        NSString * message ;
        if (error) {
            message = [NSString stringWithFormat:@"cl_SDK_MobileValidate:%@\n本机校验失败\n",error.description];
        }else{
            NSInteger code = [[responseObject valueForKey:@"code"] integerValue];
            if (code == 200000) {
                if ([responseObject[@"data"][@"isVerify"] integerValue] == 1) {
                    //本机校验成功，号码一致

                    message = [NSString stringWithFormat:@"cl_SDK_MobileValidate:%@\n本机校验成功，号码一致\n",responseObject.description];
                }else{
                    //本机校验失败，号码不一致

                    message = [NSString stringWithFormat:@"cl_SDK_MobileValidate:%@\n本机校验失败，号码不一致\n",responseObject.description];
                }
            }else{

                //本机校验失败
                message = [NSString stringWithFormat:@"cl_SDK_MobileValidate:%@\n本机校验失败\n",responseObject.description];
            }
            
        }
        dispatch_async(dispatch_get_main_queue(), ^{
              CLConsoleLog(@"%@",message);
              [CLHUD showMessage:weakSelf.view message:message];
        });
    }];
}

// 正则匹配手机号
- (BOOL)checkTelNumber:(NSString *) telNumber{
    // 输入开头为1的11位数字限制
    NSString *pattern = @"^1+\\d{10}";
    NSPredicate *pred = [NSPredicate predicateWithFormat:@"SELF MATCHES %@", pattern];
    BOOL isMatch = [pred evaluateWithObject:telNumber];
    return isMatch;
}

// 手机号输入时长度限制
- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string {
    if (self.phoneNumberField.text.length >= 11 && string.length) {
        [SVProgressHUD showInfoWithStatus:@"Length limited Error"];
        return NO;
    }
    
    return YES;
}
@end
