//
//  TestViewController.m
//  ShanYanSDK_Demo
//
//  Created by wanglijun on 2019/6/28.
//  Copyright © 2019 wanglijun. All rights reserved.
//

#import "TestViewController.h"
#import "ViewController.h"
#import "UITestViewController.h"
#import "CMTelecomViewController.h"
#import "CUTelecomViewController.h"
#import "CustomNavigationController.h"
#import "PhoneNumberCheckController.h"

@interface TestViewController ()

@end

@implementation TestViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    UIButton * forbiddenR = [[UIButton alloc]init];
    [forbiddenR setBackgroundColor:[UIColor redColor]];
    [forbiddenR setTitle:@"点击选择禁止上报" forState:(UIControlStateNormal)];
    [forbiddenR addTarget:self action:@selector(forbiddenReport:) forControlEvents:(UIControlEventTouchUpInside)];
    [self.view addSubview:forbiddenR];
    [forbiddenR mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self.view);
        make.centerY.equalTo(self.view).offset(-90);
        make.width.mas_equalTo(180);
        make.height.mas_equalTo(40);
    }];
    
    UIButton * presentVC = [[UIButton alloc]init];
    [presentVC setBackgroundColor:[UIColor redColor]];
    [presentVC setTitle:@"免密登录" forState:(UIControlStateNormal)];
    [presentVC addTarget:self action:@selector(presentQulickLoginVC) forControlEvents:(UIControlEventTouchUpInside)];
    [self.view addSubview:presentVC];
    [presentVC mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self.view);
        make.centerY.equalTo(self.view).offset(-30);
        make.width.mas_equalTo(180);
        make.height.mas_equalTo(40);
    }];
    
    
//    UIButton * presentTest = [[UIButton alloc]init];
//    [presentTest setBackgroundColor:[UIColor redColor]];
//    [presentTest setTitle:@"presentTest" forState:(UIControlStateNormal)];
//    [presentTest addTarget:self action:@selector(presentQulickLoginVCTest) forControlEvents:(UIControlEventTouchUpInside)];
//    [self.view addSubview:presentTest];
//    [presentTest mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.center.equalTo(self.view);
//        make.width.mas_equalTo(180);
//        make.height.mas_equalTo(40);
//    }];
    
    UIButton * localPhoneNumberCheckBtn = [[UIButton alloc]init];
    [localPhoneNumberCheckBtn setBackgroundColor:[UIColor redColor]];
    [localPhoneNumberCheckBtn setTitle:@"本机认证" forState:(UIControlStateNormal)];
    [localPhoneNumberCheckBtn addTarget:self action:@selector(localPhoneNumberCheckBtnClicked) forControlEvents:(UIControlEventTouchUpInside)];
    [self.view addSubview:localPhoneNumberCheckBtn];
    [localPhoneNumberCheckBtn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self.view);
        make.centerY.equalTo(self.view).offset(30);
        make.width.mas_equalTo(180);
        make.height.mas_equalTo(40);
    }];
    
    
    UIButton * presentVC_Telecom = [[UIButton alloc]init];
    [presentVC_Telecom setBackgroundColor:[UIColor redColor]];
    [presentVC_Telecom setTitle:@"移动运营商免密登录" forState:(UIControlStateNormal)];
    [presentVC_Telecom addTarget:self action:@selector(presentQulickLoginVC_Telecom) forControlEvents:(UIControlEventTouchUpInside)];
    [self.view addSubview:presentVC_Telecom];
    [presentVC_Telecom mas_makeConstraints:^(MASConstraintMaker *make) {
        make.size.centerX.mas_equalTo(localPhoneNumberCheckBtn);
        make.top.mas_equalTo(localPhoneNumberCheckBtn.mas_bottom).offset(20);
    }];
    
    UIButton * presentVC_CUTelecom = [[UIButton alloc]init];
    [presentVC_CUTelecom setBackgroundColor:[UIColor redColor]];
    [presentVC_CUTelecom setTitle:@"联通运营商免密登录" forState:(UIControlStateNormal)];
    [presentVC_CUTelecom addTarget:self action:@selector(presentQulickLoginVC_CUTelecom) forControlEvents:(UIControlEventTouchUpInside)];
    [self.view addSubview:presentVC_CUTelecom];
    [presentVC_CUTelecom mas_makeConstraints:^(MASConstraintMaker *make) {
        make.size.centerX.mas_equalTo(presentVC_Telecom);
        make.top.mas_equalTo(presentVC_Telecom.mas_bottom).offset(20);
    }];

}

- (void)localPhoneNumberCheckBtnClicked {
    
    PhoneNumberCheckController * vc = [PhoneNumberCheckController new];
    CustomNavigationController * nav = [[CustomNavigationController alloc]initWithRootViewController:vc];
    
    [self presentViewController:nav animated:YES completion:nil];
}

-(void)presentQulickLoginVC{
    ViewController * vc = [ViewController new];
    CustomNavigationController * nav = [[CustomNavigationController alloc]initWithRootViewController:vc];
    nav.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:nav animated:YES completion:nil];
}
-(void)presentQulickLoginVCTest{
    UITestViewController * vc = [UITestViewController new];
//    UINavigationController * nav = [[UINavigationController alloc]initWithRootViewController:vc];
    [self presentViewController:vc animated:YES completion:nil];
}


- (void)forbiddenReport:(UIButton *)sender{
    [sender setTitle:@"已选禁止上报" forState:(UIControlStateNormal)];
    [sender setBackgroundColor:UIColor.lightGrayColor];
    // 禁止上报
    [CLShanYanSDKManager forbiddenFullLogReport:YES];
}

-(void)presentQulickLoginVC_Telecom{
    CMTelecomViewController * vc = [CMTelecomViewController new];
    CustomNavigationController * nav = [[CustomNavigationController alloc]initWithRootViewController:vc];
    nav.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:nav animated:YES completion:nil];
}
-(void)presentQulickLoginVC_CUTelecom{
    CUTelecomViewController * vc = [CUTelecomViewController new];
    CustomNavigationController * nav = [[CustomNavigationController alloc]initWithRootViewController:vc];
    nav.modalPresentationStyle = UIModalPresentationFullScreen;
    [self presentViewController:nav animated:YES completion:nil];
}

@end
