//
//  ViewController.m
//  ShanYanSDK_Demo
//
//  Created by wanglijun on 2018/10/29.
//  Copyright © 2018 wanglijun. All rights reserved.
//

#import "ViewController.h"

#import "AppConfigurationViewController.h"
#import "AppConfigurationNavigationController.h"
#import "NSString+DecryptUseDES.h"

#import <FMDB.h>
#import <FMDBMigrationManager.h>

#import "CustomSmsViewController.h"
#import "CustomNavigationController.h"
#import "CustomWebViewController.h"

#import <AVFoundation/AVFoundation.h>
#import "VodeoPlayer.h"

@interface ViewController ()<CLShanYanSDKManagerDelegate>
{
    CFAbsoluteTime _viewController_start;
    NSMutableArray * _notifObserverArray;
    UITextView *textView;
    AVPlayer * player;
}

@property (nonatomic,strong)AppConfigurationViewController * configurationVC;

@property (nonatomic,strong)NSDictionary *loginResultData;
@end

@implementation ViewController

-(void)dealloc{
    NSLog(@"%s",__func__);
    for (NSObject* observer in _notifObserverArray) {
        [[NSNotificationCenter defaultCenter] removeObserver:observer];
    }
    [_notifObserverArray removeAllObjects];
    [[NSNotificationCenter defaultCenter] removeObserver:self];
}

////强制竖屏
- (BOOL) shouldAutorotate {
    return YES;
}
- (UIInterfaceOrientationMask)supportedInterfaceOrientations {
    return UIInterfaceOrientationMaskAll;
}
//- (UIInterfaceOrientation)preferredInterfaceOrientationForPresentation NS_AVAILABLE_IOS(6_0) __TVOS_PROHIBITED{
//    return UIInterfaceOrientationPortraitUpsideDown;
//}


-(void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    
    [self->player pause];
    self->player = nil;
    
//    [CLShanYanSDKManager preGetPhonenumber:^(CLCompleteResult * _Nonnull completeResult) {
//        if (completeResult.error) {
//            CLConsoleLog(@"%@",completeResult.error.description);
//        }else{
//            CLConsoleLog(@"%@",completeResult.yy_modelDescription);
//        }
//    }];
    
}

-(void)viewDidLoad{
    [super viewDidLoad];
    
//    NSString* tokenDataAESBase64 = [[@"fsdlijfdsl123123dsljfsdlj嫩豆腐佛教逻辑稍等发了圣诞节fdfdsf" dataUsingEncoding:NSUTF8StringEncoding] base64EncodedStringWithOptions:NSDataBase64EncodingEndLineWithLineFeed];
//    NSMutableString * tokenDataAESBase64URLEncode = [[NSMutableString alloc]initWithString:tokenDataAESBase64];
//    tokenDataAESBase64URLEncode = (NSMutableString * )[tokenDataAESBase64URLEncode stringByReplacingOccurrencesOfString:@"+" withString:@"-"];
//    tokenDataAESBase64URLEncode = (NSMutableString * )[tokenDataAESBase64URLEncode stringByReplacingOccurrencesOfString:@"/" withString:@"_"];
    [self.navigationController setNavigationBarHidden:YES];
    
    NSError * error;
    [UINavigationController aspect_hookSelector:@selector(viewWillLayoutSubviews) withOptions:(AspectPositionAfter) usingBlock:^(id <AspectInfo> info){
        
    } error:&error];
    
    [UINavigationController aspect_hookSelector:@selector(shouldAutorotate) withOptions:(AspectPositionInstead) usingBlock:^(id <AspectInfo> info){
        BOOL shouldAutorotate;
        NSInvocation *invocation = info.originalInvocation;
        [invocation invoke];
        [invocation getReturnValue:&shouldAutorotate];
        shouldAutorotate = NO;
        [invocation setReturnValue:&shouldAutorotate];
    } error:&error];
    NSLog(@"%@",error);
    
    [self setSubViews];
    
    _notifObserverArray = [[NSMutableArray alloc]init];
}

-(void)setSubViews{
    UIImageView * imageBackground = [UIImageView new];
    [self.view addSubview:imageBackground];
    imageBackground.image = [UIImage imageNamed:@"bb4bf6b9301170c7fa0a766b1024d2d3"];
    [imageBackground mas_makeConstraints:^(MASConstraintMaker *make) {
        make.edges.insets(UIEdgeInsetsZero);
    }];
    
    
    UIButton * init = [[UIButton alloc]init];
    init.layer.cornerRadius = 8;
    init.layer.masksToBounds = YES;
    [self.view addSubview:init];
    [init addTarget:self action:@selector(initSDK:) forControlEvents:(UIControlEventTouchUpInside)];
    [init setTitle:@"初始化" forState:(UIControlStateNormal)];
    [init.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [init setBackgroundColor:[UIColor blueColor]];
    
    UIButton * preGetPhone = [[UIButton alloc]init];
    preGetPhone.layer.cornerRadius = 8;
    preGetPhone.layer.masksToBounds = YES;
    [self.view addSubview:preGetPhone];
    [preGetPhone addTarget:self action:@selector(preGetPhonenumberSDK:) forControlEvents:(UIControlEventTouchUpInside)];
    [preGetPhone setTitle:@"预取号" forState:(UIControlStateNormal)];
    [preGetPhone.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [preGetPhone setBackgroundColor:[UIColor blueColor]];
    
    UIButton * login = [[UIButton alloc]init];
    login.layer.cornerRadius = 8;
    login.layer.masksToBounds = YES;
    [self.view addSubview:login];
    [login addTarget:self action:@selector(qulickLogin:) forControlEvents:(UIControlEventTouchUpInside)];
    [login setTitle:@"拉起授权页-状态栏:白" forState:(UIControlStateNormal)];
    [login.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [login setBackgroundColor:[UIColor blueColor]];
    
    
    UIButton * loginBlack = [[UIButton alloc]init];
    loginBlack.layer.cornerRadius = 8;
    loginBlack.layer.masksToBounds = YES;
    [self.view addSubview:loginBlack];
    [loginBlack addTarget:self action:@selector(qulickLogin:) forControlEvents:(UIControlEventTouchUpInside)];
    [loginBlack setTitle:@"拉起授权页-状态栏:黑" forState:(UIControlStateNormal)];
    [loginBlack.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [loginBlack setBackgroundColor:[UIColor blueColor]];
    
    
    UIButton * loginFit13 = [[UIButton alloc]init];
    loginFit13.layer.cornerRadius = 8;
    loginFit13.layer.masksToBounds = YES;
    [self.view addSubview:loginFit13];
    [loginFit13 addTarget:self action:@selector(qulickLogin:) forControlEvents:(UIControlEventTouchUpInside)];
    [loginFit13 setTitle:@"拉起(适配13)" forState:(UIControlStateNormal)];
    [loginFit13.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [loginFit13 setBackgroundColor:[UIColor blueColor]];
    
    UIButton * loginDefualt = [[UIButton alloc]init];
    loginDefualt.layer.cornerRadius = 8;
    loginDefualt.layer.masksToBounds = YES;
    [self.view addSubview:loginDefualt];
    [loginDefualt addTarget:self action:@selector(qulickLogin:) forControlEvents:(UIControlEventTouchUpInside)];
    [loginDefualt setTitle:@"拉起(默认方式)" forState:(UIControlStateNormal)];
    [loginDefualt.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [loginDefualt setBackgroundColor:[UIColor blueColor]];
    
    [self.view addSubview:loginFit13];
    [self.view addSubview:loginDefualt];
    
    [loginFit13 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.mas_equalTo(-100);
        make.top.mas_equalTo(login.mas_bottom).offset(20);
        make.width.mas_equalTo(180);
        make.height.mas_equalTo(40);
    }];
    [loginDefualt mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.height.centerY.mas_equalTo(loginFit13);
        make.centerX.mas_equalTo(100);
    }];

    [login mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.mas_equalTo(-100);
        make.bottom.mas_equalTo(-180);
        make.width.mas_equalTo(180);
        make.height.mas_equalTo(40);
    }];
    [loginBlack mas_makeConstraints:^(MASConstraintMaker *make) {
        make.width.height.centerY.mas_equalTo(login);
        make.centerX.mas_equalTo(100);
    }];
    
    [preGetPhone mas_makeConstraints:^(MASConstraintMaker *make) {
        make.bottom.mas_equalTo(login.mas_top).offset(-80);
    }];
    [init mas_makeConstraints:^(MASConstraintMaker *make) {
        make.bottom.mas_equalTo(preGetPhone.mas_top).offset(-20);
    }];
    [@[init,preGetPhone] mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.mas_equalTo(0);
        make.width.mas_equalTo(180);
        make.height.mas_equalTo(40);
    }];
    

    

    UIButton * dismissSelf = [[UIButton alloc]init];
    dismissSelf.layer.cornerRadius = 8;
    dismissSelf.layer.masksToBounds = YES;
    [self.view addSubview:dismissSelf];
    [dismissSelf addTarget:self action:@selector(dismissCurrentVC) forControlEvents:(UIControlEventTouchUpInside)];
    [dismissSelf setTitle:@"dismissSelf" forState:(UIControlStateNormal)];
    [dismissSelf.titleLabel setFont:[UIFont systemFontOfSize:14]];
    [dismissSelf setBackgroundColor:[UIColor blueColor]];
    [dismissSelf mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.top.mas_equalTo(40);
        make.width.mas_equalTo(100);
        make.height.mas_equalTo(40);
    }];
    
    
    
    
    

    UIButton * openConsole = [[UIButton alloc]init];
    openConsole.layer.cornerRadius = 8;
    openConsole.layer.masksToBounds = YES;
    [self.view addSubview:openConsole];
    [openConsole setTitle:@"弹窗日志" forState:(UIControlStateNormal)];
    [openConsole.titleLabel setFont:[UIFont systemFontOfSize:14]];
    openConsole.titleLabel.numberOfLines = 0 ;
    [openConsole setBackgroundColor:[UIColor blueColor]];
    static BOOL isShowing = YES;
    @weakify(openConsole)
    [[openConsole rac_signalForControlEvents:(UIControlEventTouchUpInside)]subscribeNext:^(__kindof UIControl * _Nullable x) {
        @strongify(openConsole)
        isShowing = !isShowing;
        if (isShowing) {
            [[CLConsole sharedConsole] startPrintLog];
            [openConsole setTitle:[NSString stringWithFormat:@"弹窗日志%@",@"开"] forState:(UIControlStateNormal)];
        }else{
            [[CLConsole sharedConsole] stopPrinting];
            [openConsole setTitle:[NSString stringWithFormat:@"弹窗日志%@",@"关"] forState:(UIControlStateNormal)];
        }
    }];
    [openConsole mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(dismissSelf.mas_top);
        make.width.height.mas_equalTo(dismissSelf);
        make.right.mas_equalTo(-40);
    }];
}


-(void)initSDK:(UIButton *)sender{
    CFAbsoluteTime start = CFAbsoluteTimeGetCurrent();
    [CLShanYanSDKManager initWithAppId:cl_SDK_APPID complete:^(CLCompleteResult * _Nonnull completeResult) {
        CFAbsoluteTime end = CFAbsoluteTimeGetCurrent();
        if (completeResult.error) {
            CLConsoleLog(@"%@\ncost:%f",completeResult.error.description,end - start);
        }else{
            CLConsoleLog(@"%@\ncost:%f",completeResult.yy_modelDescription,end - start);
        }
    }];
}
-(void)preGetPhonenumberSDK:(UIButton *)sender{
    CFAbsoluteTime start = CFAbsoluteTimeGetCurrent();

    [CLShanYanSDKManager preGetPhonenumber:^(CLCompleteResult * _Nonnull completeResult) {
        CFAbsoluteTime end = CFAbsoluteTimeGetCurrent();
        if (completeResult.error) {
            CLConsoleLog(@"%@\ncost:%f",completeResult.error.description,end - start);
        }else{
            CLConsoleLog(@"%@\ncost:%f",completeResult.yy_modelDescription,end - start);
        }
    }];
}

-(void)qulickLogin:(UIButton *)sender{
    //耗时开始计时
    CFAbsoluteTime startButtonClick   = CFAbsoluteTimeGetCurrent();
    
    _viewController_start = startButtonClick;
    
    /**如需自定义样式，建议新建CLUIConfigure对象，避免默认值的干扰
     */
    CLUIConfigure * baseUIConfigure;
    static int times = 0;

    switch (times++%5) {
        case 1:
            {
                baseUIConfigure = [self configureStyle1:[CLUIConfigure new]];
            }
            break;
            
        case 2:
            {
                baseUIConfigure = [self configureStyleTest:[CLUIConfigure new]];
            }
            break;
            
        case 3:
            {
                baseUIConfigure = [self configureStyle3:[CLUIConfigure new]];
            }
            break;
            
        case 4:
            {
                baseUIConfigure = [self configureStyle4:[CLUIConfigure new]];
            }
            break;
        case 5:
            {
                baseUIConfigure = [self configureStyle5:[CLUIConfigure new]];
            }
            break;
            
        default:
            {
                baseUIConfigure = [self configureStyle3:[CLUIConfigure new]];
            }
            break;
    }

//    if (@available(iOS 13.0, *)) {
//        baseUIConfigure.clPreferredStatusBarStyle = @(3);
//    } else {
//        baseUIConfigure.clPreferredStatusBarStyle = @(UIStatusBarStyleDefault);
//    }
//
////    baseUIConfigure.clAuthWindowModalPresentationStyle = @(UIModalPresentationFullScreen);
//
//    if (@available(iOS 13.0, *)) {
//        baseUIConfigure.clAppPrivacyWebPreferredStatusBarStyle = @(3);
//    } else {
//        baseUIConfigure.clAppPrivacyWebPreferredStatusBarStyle = @(UIStatusBarStyleDefault);
//    }
    
//    baseUIConfigure.clAppPrivacyWebNormalAttributesTitle = [[NSAttributedString alloc]initWithString:@"ces"];
    
    baseUIConfigure.viewController = self;
    baseUIConfigure.manualDismiss = @(YES);

//    baseUIConfigure.clNavigationBarHidden = @(YES);
    

    
    if ([sender.titleLabel.text isEqualToString:@"拉起授权页-无动画"]) {
            baseUIConfigure.clAuthWindowPresentingAnimate = @(NO);
        } else {
            
        }
        
    if ([sender.titleLabel.text isEqualToString:@"拉起授权页-状态栏:黑"]) {
        baseUIConfigure.clNavigationBarStyle = @(UIBarStyleDefault);
        //UIModalPresentationFullScreen下状态栏有效
        if (!baseUIConfigure.clAuthTypeUseWindow.boolValue) {
            baseUIConfigure.clAuthWindowModalPresentationStyle = @(UIModalPresentationFullScreen);
        }
        if (@available(iOS 13.0, *)) {
            baseUIConfigure.clPreferredStatusBarStyle = @(UIStatusBarStyleDarkContent);
        } else {
            baseUIConfigure.clPreferredStatusBarStyle = @(UIStatusBarStyleDefault);
        }
    }else if ([sender.titleLabel.text isEqualToString:@"拉起授权页-状态栏:白"]){
        //UIModalPresentationFullScreen下状态栏有效
        if (!baseUIConfigure.clAuthTypeUseWindow.boolValue) {
            baseUIConfigure.clAuthWindowModalPresentationStyle = @(UIModalPresentationFullScreen);
        }
        baseUIConfigure.clNavigationBarStyle = @(UIBarStyleBlack);
        baseUIConfigure.clPreferredStatusBarStyle = @(UIStatusBarStyleLightContent);
    }
    
    @weakify(self)
    if ([sender.titleLabel.text isEqualToString:@"拉起授权页-视频_横"]) {
        NSString * path = [[NSBundle mainBundle] pathForResource:@"video" ofType:@"mp4"];
        if (path == nil) {
            path = @"";//防奔溃
        }
        AVPlayerItem *item = [[AVPlayerItem alloc]initWithURL:[NSURL fileURLWithPath:path]];
        player = [[AVPlayer alloc]initWithPlayerItem:item];

        [_notifObserverArray addObject:[[NSNotificationCenter defaultCenter] addObserverForName:AVPlayerItemDidPlayToEndTimeNotification object:nil queue:NSOperationQueue.mainQueue usingBlock:^(NSNotification * _Nonnull note) {
           @strongify(self)

           CMTime dragedCMTime = CMTimeMake(0, 1);
           [self->player seekToTime:dragedCMTime];
           [self->player play];
        }]];
        baseUIConfigure.customAreaView = ^(UIView * _Nonnull customAreaView) {
            //强制竖屏
            @strongify(self)
            VodeoPlayer * layerView = [[VodeoPlayer alloc]initWithFrame:UIScreen.mainScreen.bounds];
            layerView.backgroundColor = UIColor.whiteColor;
            [customAreaView addSubview:layerView];
            [layerView mas_makeConstraints:^(MASConstraintMaker *make) {
                make.edges.insets(UIEdgeInsetsZero);
            }];
            AVPlayerLayer * playerLayer = (AVPlayerLayer *)layerView.layer;
            playerLayer.videoGravity = AVLayerVideoGravityResize;
            playerLayer.player = self->player;
            [self->player play];
        };
    }else if ([sender.titleLabel.text isEqualToString:@"拉起授权页-视频_竖"]){
        NSString * path = [[NSBundle mainBundle] pathForResource:@"2018_09_10_15_49_IMG_0040" ofType:@"MOV"];
        if (path == nil) {
            path = @"";//防奔溃
        }
        AVPlayerItem *item = [[AVPlayerItem alloc]initWithURL:[NSURL fileURLWithPath:path]];
        player = [[AVPlayer alloc]initWithPlayerItem:item];
        [_notifObserverArray addObject:[[NSNotificationCenter defaultCenter] addObserverForName:AVPlayerItemDidPlayToEndTimeNotification object:nil queue:NSOperationQueue.mainQueue usingBlock:^(NSNotification * _Nonnull note) {
            @strongify(self)
            CMTime dragedCMTime = CMTimeMake(0, 1);
            [self->player seekToTime:dragedCMTime];
            [self->player play];
        }]];
        baseUIConfigure.customAreaView = ^(UIView * _Nonnull customAreaView) {
            @strongify(self)
            //强制竖屏
            VodeoPlayer * layerView = [[VodeoPlayer alloc]initWithFrame:UIScreen.mainScreen.bounds];
            layerView.backgroundColor = UIColor.whiteColor;
            [customAreaView addSubview:layerView];
            [layerView mas_makeConstraints:^(MASConstraintMaker *make) {
                make.edges.insets(UIEdgeInsetsZero);
            }];
            AVPlayerLayer * playerLayer = (AVPlayerLayer *)layerView.layer;
            playerLayer.videoGravity = AVLayerVideoGravityResize;
            playerLayer.player = self->player;
            [self->player play];
        };
    }
    
    baseUIConfigure.clAppPrivacyFirst = @[@"百度官网链接",[NSURL URLWithString:@"https://baidu.com"]];
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"ShanYanIndex" ofType:@"html"];
    baseUIConfigure.clAppPrivacySecond = @[@"本地协议地址",[NSURL fileURLWithPath:filePath]];
    baseUIConfigure.clAppPrivacyThird = @[@"新浪官网链接",@"https://www.sina.com.cn/"];
    
    baseUIConfigure.clAppPrivacyNormalDesTextFirst = @"我同意";
    baseUIConfigure.clAppPrivacyNormalDesTextSecond = @"+";
    baseUIConfigure.clAppPrivacyNormalDesTextThird = @"-";
    baseUIConfigure.clAppPrivacyNormalDesTextFourth = @"x";
    baseUIConfigure.clAppPrivacyNormalDesTextLast = @"我自己说了算";
    
    baseUIConfigure.clLoginBtnText = @"闪验登录";
    
    // 自定义loading
    baseUIConfigure.loadingView = ^(UIView * _Nonnull containerView) {
        
//        NSString *loadingImgName = @"loading_fire";
//        NSString *loadingImgName = @"loading_tangle";
  
        UIImage *image = [YYImage imageNamed:@"KungFuPanda.gif"];
        UIImageView *imageBackground = [[YYAnimatedImageView alloc] initWithImage:image];
        [containerView addSubview:imageBackground];
        
        [imageBackground mas_makeConstraints:^(MASConstraintMaker *make) {
            make.size.mas_equalTo(CGSizeMake(80, 80));
            make.center.mas_equalTo(0);
        }];
        
        imageBackground.layer.cornerRadius = 40;
        imageBackground.layer.masksToBounds = YES;
    };

    //点击协议监听 代理设置,不监听可不设置
    [CLShanYanSDKManager setCLShanYanSDKManagerDelegate:self];
    
    CFAbsoluteTime start = CFAbsoluteTimeGetCurrent();

    __weak typeof(self) weakSelf = self;
    [CLHUD showLoading:self.view loadingSize:[NSValue valueWithCGSize:CGSizeMake(40, 40)] indicatorStyle:@(UIActivityIndicatorViewStyleWhite) cornerRadius:@(2) backgroundColor:[UIColor colorWithWhite:1 alpha:0.9] tintColor:UIColor.blueColor];

    
        [CLShanYanSDKManager quickAuthLoginWithConfigure:baseUIConfigure openLoginAuthListener:^(CLCompleteResult * _Nonnull completeResult) {
    
        
            CFAbsoluteTime end = CFAbsoluteTimeGetCurrent();

            dispatch_async(dispatch_get_main_queue(), ^{
                [CLHUD hideLoading:weakSelf.view];
            });
            if (completeResult.error) {
                CLConsoleLog(@"openLoginAuthListener:%@\ncost:%f",completeResult.error.description,end - start);
            }else{
                CLConsoleLog(@"openLoginAuthListener:%@\ncost:%f",completeResult.yy_modelToJSONObject,end - start);
            }
        } oneKeyLoginListener:^(CLCompleteResult * _Nonnull completeResult) {
            
            @strongify(self)
            [self->player pause];
            
            CFAbsoluteTime end = CFAbsoluteTimeGetCurrent();

            __strong typeof(self) strongSelf = weakSelf;
            dispatch_async(dispatch_get_main_queue(), ^{
                [CLHUD hideLoading:strongSelf.view];
            });

            if (completeResult.error) {
                CLConsoleLog(@"oneKeyLoginListener:%@\ncost:%f",completeResult.error.description,end - start);
                
                [strongSelf hideShanYanAuthPageMaskViewWhenUseWindow];
                
                //提示：错误无需提示给用户，可以在用户无感知的状态下直接切换登录方式
                if (completeResult.code == 1011){
                    //用户取消登录（点返回）
                    //处理建议：如无特殊需求可不做处理，仅作为交互状态回调，此时已经回到当前用户自己的页面
                    //点击sdk自带的返回，无论是否设置手动销毁，授权页面都会强制关闭
                }  else{
                    //处理建议：其他错误代码表示闪验通道无法继续，可以统一走开发者自己的其他登录方式，也可以对不同的错误单独处理
                    //1003    一键登录获取token失败
                    //其他     其他错误//
                    
                    //关闭授权页
                    [CLShanYanSDKManager finishAuthControllerAnimated:YES Completion:nil];
                }
            }else{
                
                CLConsoleLog(@"oneKeyLoginListener:%@\ncost:%f",completeResult.yy_modelDescription,end - start);

                [strongSelf getPhonenumber:completeResult.data];
            }
        }];
}

- (void)presentViewController:(UIViewController *)viewControllerToPresent animated:(BOOL)flag completion:(void (^)(void))completion{
    
    [super presentViewController:viewControllerToPresent animated:flag completion:completion];
}



//此处模拟客户服务端调用闪验服务端，依照闪验服务端文档，实际情景下，app需要调用自己的服务端接口，将整个token传给服务端，整个token的验证在客户服务端进行，客户服务端将结果返回给app

- (void)getPhonenumber:(NSDictionary *)completeResultData{

    NSLog(@"tokenParamr:%@",completeResultData);
    
//    CFAbsoluteTime start = CFAbsoluteTimeGetCurrent();
    NSMutableDictionary * paramr = [NSMutableDictionary dictionaryWithDictionary:completeResultData];
    paramr[@"appId"] = cl_SDK_APPID;


    NSMutableString *formDataString = [NSMutableString new];
    NSArray * keys = [paramr.allKeys sortedArrayUsingComparator:^NSComparisonResult(id  _Nonnull obj1, id  _Nonnull obj2) {
        NSString * objString1 = [NSString stringWithFormat:@"%@",obj1];
        NSString * objString2 = [NSString stringWithFormat:@"%@",obj2];
        return [objString1 compare:objString2];
    }];
    for (NSString * key in keys) {
        [formDataString appendString:key];
        [formDataString appendString:paramr[key]];
    }

//    [paramr enumerateKeysAndObjectsUsingBlock:^(id  _Nonnull key, id  _Nonnull obj, BOOL * _Nonnull stop) {
//        NSString * objString = [NSString stringWithFormat:@"%@",obj];
//        [formDataString appendString:[NSString stringWithFormat:@"%@%@", key, objString]];
//    }];
    
    CocoaSecurityResult * hmacSha256Result = [CocoaSecurity hmacSha256:formDataString hmacKey:cl_SDK_APPKEY];
    paramr[@"sign"] = hmacSha256Result.hex;

    NSLog(@"%@",paramr);
    __weak typeof(self) weakSelf = self;
    [NetWorkManager POST_url:cl_SDK_URL_MobileQuery withParameter:paramr complete:^(NSDictionary * _Nonnull responseObject, NSError * _Nonnull error) {
        
        [weakSelf hideShanYanAuthPageMaskViewWhenUseWindow];
        //关闭授权页
        [CLShanYanSDKManager finishAuthControllerAnimated:YES Completion:nil];
        
//        CFAbsoluteTime end = CFAbsoluteTimeGetCurrent();

        if (error) {
            CLConsoleLog(@"%@",error);
        }else{
            
            NSInteger code = [[responseObject valueForKey:@"code"] integerValue];
            if (code == 200000) {
                NSString * mobileName = responseObject[@"data"][@"mobileName"];
                CocoaSecurityResult * appKey_md5_result = [CocoaSecurity md5:cl_SDK_APPKEY];
                NSString * appKey_md5 = appKey_md5_result.hexLower;
                if (appKey_md5.length == 32) {
                    
                    NSString * key = [appKey_md5 substringToIndex:16];
                    NSString * iv = [appKey_md5 substringFromIndex:16];
                    
                    CocoaSecurityDecoder *decoder = [CocoaSecurityDecoder new];
                    CocoaSecurityResult *aes256Decrypt = [CocoaSecurity aesDecryptWithData:[decoder hex:mobileName] key:[key dataUsingEncoding:NSUTF8StringEncoding] iv:[iv dataUsingEncoding:NSUTF8StringEncoding]];
        
                    NSString * mobileCode = aes256Decrypt.utf8String;

                    CLConsoleLog(@"免密登录成功,手机号：%@",mobileCode);
                    dispatch_async(dispatch_get_main_queue(), ^{
                        [CLHUD showMessage:weakSelf.view message:[NSString stringWithFormat:@"免密登录成功,手机号：%@",mobileCode]];
                    });
                }else {
                    CLConsoleLog(@"免密登录解密失败:%@",responseObject);
                }
            } else {
                CLConsoleLog(@"免密登录失败:%@",responseObject);
            }
        }
    }];
}


- (void)dismissCurrentVC{
    [self hideShanYanAuthPageMaskViewWhenUseWindow];
    if (NSThread.currentThread.isMainThread) {
        [self dismissViewControllerAnimated:YES completion:nil];
    } else {
        dispatch_async(dispatch_get_main_queue(), ^{
            [self dismissViewControllerAnimated:YES completion:nil];
        });
    }
}

//自定义控件按钮点击
- (void)authPageRightButtonClick:(UIButton * )sender{
    @weakify(self)
    //关闭页面
    [CLShanYanSDKManager finishAuthControllerAnimated:YES Completion:^{
        @strongify(self)
       //如需关闭后present/push新页面，建议在completion回调中执行
        [self hideShanYanAuthPageMaskViewWhenUseWindow];
        //用户跳转短信验证
        CustomSmsViewController * smsVc = [[CustomSmsViewController alloc]init];
        CustomNavigationController * smsNav = [[CustomNavigationController alloc]initWithRootViewController:smsVc];
        smsVc.navigationItem.title = @"短信验证";
        [self presentViewController:smsNav animated:YES completion:nil];
    }];
}


- (CLUIConfigure *)configureStyleTest:(CLUIConfigure *)inputConfigure{
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    
    CLUIConfigure * baseUIConfigure = inputConfigure;
    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"IOS1024iPhoneSpootlight7_40pt"];
    baseUIConfigure.clLogoCornerRadius = @(40);
    
    baseUIConfigure.clOrientationLayOutPortrait = [CLOrientationLayOut clDefaultOrientationLayOut];
    
    baseUIConfigure.clCheckBoxCheckedImage = [UIImage imageNamed:@"checkOn"];
    
    
    // 导航栏返回按钮设置--用户设置自定义优先级高于默认返回按钮有限就
    baseUIConfigure.clNavBackBtnAlimentRight = @(YES);
    baseUIConfigure.clNavBackBtnImageInsets = [NSValue valueWithUIEdgeInsets:UIEdgeInsetsMake(0, 0, 20, 20)];
    //    baseUIConfigure.clNavigationBackBtnHidden = @(YES);
    
    baseUIConfigure.clLoginBtnNormalBgImage = [UIImage imageNamed:@"2-0btn_15"];
    baseUIConfigure.clLoginBtnHightLightBgImage = [UIImage imageNamed:@"b9702226b73327d54bd2bfbccd18eee1"];
    
    // 隐私协议设置
    baseUIConfigure.clAppPrivacyPunctuationMarks = @(YES);
    baseUIConfigure.clAppPrivacyNormalDesTextFirst = @"登录即XX";
    baseUIConfigure.clAppPrivacyNormalDesTextSecond = @"+";
    baseUIConfigure.clAppPrivacyNormalDesTextThird = @"&";
    baseUIConfigure.clAppPrivacyNormalDesTextFourth = @"并授权";
    
    baseUIConfigure.clAppPrivacyAbbreviatedName = @"myApp";
    
    return baseUIConfigure;
}

#pragma mark - 样式1：样式
- (CLUIConfigure *)configureStyle1:(CLUIConfigure *)inputConfigure{
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    
    CLUIConfigure * baseUIConfigure = inputConfigure;
    
//    baseUIConfigure.clCheckBoxHidden = @(YES);
//    baseUIConfigure.clCheckBoxValue = @(YES);

    baseUIConfigure.clBackgroundImg = [UIImage imageNamed:@"eb9a0dae18491990a43fe02832d3cafa"];

    baseUIConfigure.clNavigationBackgroundClear = @(YES);

//    baseUIConfigure.clNavigationBarTintColor = UIColor.greenColor;
//    baseUIConfigure.clNavigationBackBtnHidden = @(YES);
    
    baseUIConfigure.clNavigationBottomLineHidden = @(YES);
    
    baseUIConfigure.clNavigationBackBtnImage = [UIImage imageNamed:@"close-white"];
    
    baseUIConfigure.clNavigationBarStyle = @(UIBarStyleBlack);
//    UIButton * rightButton = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 25, 25)];
//    [rightButton setImage:[UIImage imageNamed:@"close-white"] forState:(UIControlStateNormal)];

    UIButton * rightButton = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 60, 25)];
    [rightButton setTitle:@"按钮右" forState:(UIControlStateNormal)];
    
    UIBarButtonItem * right = [[UIBarButtonItem alloc]initWithCustomView:rightButton];
    [rightButton addTarget:self action:@selector(authPageRightButtonClick:) forControlEvents:UIControlEventTouchUpInside];

    baseUIConfigure.clNavigationRightControl = right;
    
    //LOGO
    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"logo_shanyan_text"];
//        baseUIConfigure.clLogoImage = [UIImage imageNamed:@"IOS1024iPhoneSpootlight7_40pt"];
    baseUIConfigure.clLogoCornerRadius = @(10);
    //    baseUIConfigure.clLogoHiden = @(NO);
    
    //PhoneNumber
    baseUIConfigure.clPhoneNumberColor = UIColor.blackColor;
    baseUIConfigure.clPhoneNumberFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:20.0*screenScale];
//    baseUIConfigure.clPhoneNumberTextAlignment = @(NSTextAlignmentRight);
    
    NSTimeInterval current = CFAbsoluteTimeGetCurrent();
    NSLog(@"current:%f",current);
    //LoginBtn
//    baseUIConfigure.clLoginBtnText = [NSString stringWithFormat:@"本机号一键登录%.2f",current];
    baseUIConfigure.clLoginBtnText = @"本机号一键登录";

    baseUIConfigure.clLoginBtnTextFont = [UIFont systemFontOfSize:15*screenScale];
    baseUIConfigure.clLoginBtnBgColor = [UIColor colorWithRed:0.2 green:0.8 blue:0.2 alpha:1];
    baseUIConfigure.clLoginBtnCornerRadius = @(10*screenScale);
    
    //Loading-
    baseUIConfigure.clLoadingSize = [NSValue valueWithCGSize:CGSizeMake(50, 50)];
    baseUIConfigure.clLoadingIndicatorStyle = @(UIActivityIndicatorViewStyleWhite);
    baseUIConfigure.clLoadingTintColor = [UIColor colorWithRed:0.2 green:0.8 blue:0.2 alpha:1];
    baseUIConfigure.clLoadingBackgroundColor = [UIColor whiteColor];
    baseUIConfigure.clLoadingCornerRadius = @(5);
    //自定义loading
    //    baseUIConfigure.loadingView = ^(UIView * _Nonnull containerView) {
    ////        //        containerView.backgroundColor = [UIColor colorWithRed:0.2 green:0.8 blue:0.2 alpha:0.8];
    ////        [SVProgressHUD setContainerView:containerView];
    ////        [SVProgressHUD showWithStatus:@"加载中"];
    //    };
    
    //Privacy
    baseUIConfigure.clAppPrivacyFirst = @[@"闪验用户协议",@"https://www.baidu.com"];
    baseUIConfigure.clAppPrivacySecond = @[@"隐私政策",@"https://www.sina.com"];
    
    baseUIConfigure.clAppPrivacyColor = @[[UIColor lightGrayColor],[UIColor greenColor]];
    baseUIConfigure.clAppPrivacyTextAlignment = @(NSTextAlignmentCenter);
    baseUIConfigure.clAppPrivacyTextFont = [UIFont systemFontOfSize:11*screenScale];
    baseUIConfigure.clAppPrivacyPunctuationMarks = @(YES);
    baseUIConfigure.clAppPrivacyAbbreviatedName = @"MyApp";
    //    baseUIConfigure.clAppPrivacyLineSpacing = @(2);
    //    baseUIConfigure.clAppPrivacyNeedSizeToFit = @(YES);

    //隐私协议页
    baseUIConfigure.clAppPrivacyWebBackBtnImage = [UIImage imageNamed:@"title_back"];
    NSMutableAttributedString * att0 = [[NSMutableAttributedString alloc]initWithString:@"隐私" attributes:@{NSFontAttributeName:[UIFont boldSystemFontOfSize:17],NSForegroundColorAttributeName:[UIColor blueColor]}];
    NSMutableAttributedString * att1 = [[NSMutableAttributedString alloc]initWithString:@"条款" attributes:@{NSFontAttributeName:[UIFont systemFontOfSize:14],NSForegroundColorAttributeName:[UIColor orangeColor]}];
    [att0 appendAttributedString:att1];
//    baseUIConfigure.clAppPrivacyWebAttributesTitle = att0;
    
    //CheckBox
        baseUIConfigure.clCheckBoxHidden = @(NO);
        baseUIConfigure.clCheckBoxValue = @(NO);
    baseUIConfigure.clCheckBoxSize = [NSValue valueWithCGSize:CGSizeMake(30*screenScale, 30*screenScale)];
    baseUIConfigure.clCheckBoxImageEdgeInsets = [NSValue valueWithUIEdgeInsets:UIEdgeInsetsMake(2*screenScale, 10*screenScale, 13*screenScale, 5*screenScale)];
    //    baseUIConfigure.clCheckBoxVerticalAlignmentToAppPrivacyTop = @(YES);
    baseUIConfigure.clCheckBoxVerticalAlignmentToAppPrivacyCenterY = @(YES);
    baseUIConfigure.clCheckBoxCheckedImage = [UIImage imageNamed:@"checkBoxSEL"];
    baseUIConfigure.clCheckBoxUncheckedImage = [UIImage imageNamed:@"checkBoxNor"];
    
    //Slogan
    baseUIConfigure.clSloganTextColor = UIColor.lightGrayColor;
    baseUIConfigure.clSloganTextFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:11.0*screenScale];
    baseUIConfigure.clSlogaTextAlignment = @(NSTextAlignmentCenter);

    //添加自定义控件示例
    baseUIConfigure.customAreaView = ^(UIView * _Nonnull customAreaView) {
        
//        CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
        
        //        UIImageView * image = [[UIImageView alloc]init];
        //        image.image = [UIImage imageNamed:@"bb886219260f91b2be4ad0a913616be2"];
        //        [customAreaView addSubview:image];
        //        [image mas_makeConstraints:^(MASConstraintMaker *make) {
        //            make.left.mas_equalTo(0);
        //            make.width.mas_equalTo(140*screenScale);
        //            make.height.mas_equalTo(80*screenScale);
        //            make.bottom.mas_equalTo(0);
        //        }];
        //                UIImageView * bgimage = [[UIImageView alloc]init];
        //                bgimage.image = [UIImage imageNamed:@"ed951e0a614eaf5f4d1e757f03e37778"];
        //                [customAreaView addSubview:bgimage];
        //                [bgimage mas_makeConstraints:^(MASConstraintMaker *make) {
        //                    make.edges.insets(UIEdgeInsetsZero);
        //                }];
        //        AVPlayer * player = [AVPlayer playerWithURL:[NSURL URLWithString:@"http://devimages.apple.com.edgekey.net/streaming/examples/bipbop_4x3/gear2/prog_index.m3u8"]];
        //        AVPlayerLayer * layer = [AVPlayerLayer playerLayerWithPlayer:player];
        //        layer.frame = CGRectMake(0, 0, 120*screenScale, 60*screenScale);
        //        [image.layer addSublayer:layer];
        //        [player play];
    };
    
    //layout 布局
    //布局-竖屏
    CLOrientationLayOut * clOrientationLayOutPortrait = [CLOrientationLayOut new];
    
    clOrientationLayOutPortrait.clLayoutPhoneCenterY = @(0*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneLeft = @(50*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneRight = @(-50*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneHeight = @(20*screenScale);
    
    clOrientationLayOutPortrait.clLayoutLogoWidth = @(100*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoHeight = @(100*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoCenterX = @(0);
    clOrientationLayOutPortrait.clLayoutLogoCenterY = @(-SCREEN_HEIGHT*0.25);
    
    clOrientationLayOutPortrait.clLayoutLoginBtnCenterY= @(clOrientationLayOutPortrait.clLayoutPhoneCenterY.floatValue + clOrientationLayOutPortrait.clLayoutPhoneHeight.floatValue*0.5*screenScale + 20*screenScale + 15*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnHeight = @(30*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnLeft = @(70*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnRight = @(-70*screenScale);
    
    clOrientationLayOutPortrait.clLayoutAppPrivacyLeft = @(40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyRight = @(-40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyBottom = @(0*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyHeight = @(45*screenScale);
    
    clOrientationLayOutPortrait.clLayoutSloganLeft = @(0);
    clOrientationLayOutPortrait.clLayoutSloganRight = @(0);
    clOrientationLayOutPortrait.clLayoutSloganHeight = @(15*screenScale);
    clOrientationLayOutPortrait.clLayoutSloganBottom = @(clOrientationLayOutPortrait.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutPortrait.clLayoutAppPrivacyHeight.floatValue);
    baseUIConfigure.clOrientationLayOutPortrait = clOrientationLayOutPortrait;
  
    return baseUIConfigure;
}



#pragma mark - 样式3：窗口样式
- (CLUIConfigure *)configureStyle3:(CLUIConfigure *)inputConfigure{
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    
    CLUIConfigure * baseUIConfigure = inputConfigure;
    
    baseUIConfigure.clCheckBoxValue = @(YES);
    
    //横竖屏设置
    baseUIConfigure.shouldAutorotate = @(YES);
    baseUIConfigure.supportedInterfaceOrientations = @(UIInterfaceOrientationMaskAll);
//    baseUIConfigure.preferredInterfaceOrientationForPresentation = @(UIInterfaceOrientationLandscapeLeft);
    
    //使用窗口方式
    baseUIConfigure.clAuthTypeUseWindow = @(YES);
    baseUIConfigure.clAuthWindowCornerRadius = @(20);
    baseUIConfigure.clAuthWindowModalTransitionStyle = @(UIModalTransitionStyleCoverVertical);
    
    baseUIConfigure.clBackgroundImg = [UIImage imageNamed:@"eb9a0dae18491990a43fe02832d3cafa"];
    
    baseUIConfigure.clNavigationBackgroundClear = @(YES);
    
    baseUIConfigure.clNavigationBackBtnHidden = @(YES);
    
    baseUIConfigure.clNavigationBottomLineHidden = @(YES);

    
    UIButton * rightButton = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 25, 25)];
    [rightButton setImage:[UIImage imageNamed:@"close-white"] forState:(UIControlStateNormal)];
    
    UIBarButtonItem * right = [[UIBarButtonItem alloc]initWithCustomView:rightButton];
    [rightButton addTarget:self action:@selector(dismissCurrentVC) forControlEvents:UIControlEventTouchUpInside];
    
    baseUIConfigure.clNavigationRightControl = right;
    
    //LOGO
    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"logo_shanyan_text"];
    //    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"IOS1024iPhoneSpootlight7_40pt"];
    baseUIConfigure.clLogoCornerRadius = @(10);
    //    baseUIConfigure.clLogoHiden = @(NO);
    
    //PhoneNumber
    baseUIConfigure.clPhoneNumberColor = UIColor.blackColor;
    baseUIConfigure.clPhoneNumberFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:20.0*screenScale];
    
    //LoginBtn
    baseUIConfigure.clLoginBtnText = @"本机号一键登录";
    baseUIConfigure.clLoginBtnTextColor = UIColor.whiteColor;
    baseUIConfigure.clLoginBtnTextFont = [UIFont systemFontOfSize:15*screenScale];
    baseUIConfigure.clLoginBtnBgColor = [UIColor colorWithRed:0.2 green:0.8 blue:0.2 alpha:1];
    baseUIConfigure.clLoginBtnCornerRadius = @(10*screenScale);
    baseUIConfigure.clLoginBtnBorderWidth = @(0.5);
    baseUIConfigure.clLoginBtnBorderColor = [UIColor colorWithRed:0.1 green:0.8 blue:0.1 alpha:1];
    
    
    //Privacy
    baseUIConfigure.clAppPrivacyFirst = @[@"测试连接A",@"https://www.baidu.com"];
    baseUIConfigure.clAppPrivacySecond = @[@"测试连接B",@"https://www.sina.com"];
    
    baseUIConfigure.clAppPrivacyColor = @[[UIColor lightGrayColor],[UIColor greenColor]];
    baseUIConfigure.clAppPrivacyTextAlignment = @(NSTextAlignmentCenter);
    baseUIConfigure.clAppPrivacyTextFont = [UIFont systemFontOfSize:11*screenScale];
    //    baseUIConfigure.clAppPrivacyLineSpacing = @(2);
    //    baseUIConfigure.clAppPrivacyNeedSizeToFit = @(YES);
    
    
    //CheckBox
    //    baseUIConfigure.clCheckBoxHidden = @(YES);
    //    baseUIConfigure.clCheckBoxValue = @(YES);
    baseUIConfigure.clCheckBoxSize = [NSValue valueWithCGSize:CGSizeMake(30*screenScale, 30*screenScale)];
    baseUIConfigure.clCheckBoxImageEdgeInsets = [NSValue valueWithUIEdgeInsets:UIEdgeInsetsMake(2*screenScale, 10*screenScale, 13*screenScale, 5*screenScale)];
    //    baseUIConfigure.clCheckBoxVerticalAlignmentToAppPrivacyTop = @(YES);
    baseUIConfigure.clCheckBoxVerticalAlignmentToAppPrivacyCenterY = @(YES);
    baseUIConfigure.clCheckBoxCheckedImage = [UIImage imageNamed:@"checkBoxSEL"];
    baseUIConfigure.clCheckBoxUncheckedImage = [UIImage imageNamed:@"checkBoxNor"];
    
    //Slogan
    baseUIConfigure.clSloganTextColor = UIColor.lightGrayColor;
    baseUIConfigure.clSloganTextFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:11.0*screenScale];
    baseUIConfigure.clSlogaTextAlignment = @(NSTextAlignmentCenter);
    
    //layout 布局
    //布局-竖屏
    CLOrientationLayOut * clOrientationLayOutPortrait = [CLOrientationLayOut new];
    
    //窗口中心
    clOrientationLayOutPortrait.clAuthWindowOrientationCenter = [NSValue valueWithCGPoint:CGPointMake(screenWidth_Portrait*0.5, screenHeight_Portrait*0.5)];
    //窗口宽高
    CGFloat authWindowWidth_Portrait = screenWidth_Portrait * 0.8;//窗口宽度为竖屏宽度的0.8
    CGFloat authWindowHeight_Portrait = authWindowWidth_Portrait * 0.8;//窗口高度为窗口宽度的0.8
    clOrientationLayOutPortrait.clAuthWindowOrientationWidth = @(authWindowWidth_Portrait);
    clOrientationLayOutPortrait.clAuthWindowOrientationHeight = @(authWindowHeight_Portrait);
    
    clOrientationLayOutPortrait.clLayoutLogoWidth = @(60*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoHeight = @(60*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoCenterX = @(0);
    clOrientationLayOutPortrait.clLayoutLogoTop = @(25*screenScale);
    
    
    clOrientationLayOutPortrait.clLayoutPhoneCenterY = @(-20*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneLeft = @(50*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneRight = @(-50*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneHeight = @(20*screenScale);
//    clOrientationLayOutPortrait.clLayoutPhoneTop = @(64*screenScale);
    
    clOrientationLayOutPortrait.clLayoutLoginBtnCenterY= @(clOrientationLayOutPortrait.clLayoutPhoneCenterY.floatValue + clOrientationLayOutPortrait.clLayoutPhoneHeight.floatValue*0.5*screenScale + 20*screenScale + 15*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnHeight = @(30*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnLeft = @(70*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnRight = @(-70*screenScale);
    
    clOrientationLayOutPortrait.clLayoutAppPrivacyLeft = @(40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyRight = @(-40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyBottom = @(0*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyHeight = @(45*screenScale);
    
    clOrientationLayOutPortrait.clLayoutSloganLeft = @(0);
    clOrientationLayOutPortrait.clLayoutSloganRight = @(0);
    clOrientationLayOutPortrait.clLayoutSloganHeight = @(15*screenScale);
    clOrientationLayOutPortrait.clLayoutSloganBottom = @(clOrientationLayOutPortrait.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutPortrait.clLayoutAppPrivacyHeight.floatValue);
    
    //布局-横屏
    CLOrientationLayOut * clOrientationLayOutLandscape = [CLOrientationLayOut new];
    
    //窗口中心
    clOrientationLayOutLandscape.clAuthWindowOrientationCenter = [NSValue valueWithCGPoint:CGPointMake(screenWidth_Landscape*0.5, screenHeight_Landscape*0.5)];
    //窗口宽高
    CGFloat authWindowWidth_Landscape = screenWidth_Portrait * 0.8;//窗口宽度为竖屏宽度的0.8
    CGFloat authWindowHeight_Landscape = authWindowWidth_Landscape * 0.8;//窗口高度为窗口宽度的0.8
    clOrientationLayOutLandscape.clAuthWindowOrientationWidth = @(authWindowWidth_Landscape);
    clOrientationLayOutLandscape.clAuthWindowOrientationHeight = @(authWindowHeight_Landscape);
    
    clOrientationLayOutLandscape.clLayoutLogoWidth = @(60*screenScale);
    clOrientationLayOutLandscape.clLayoutLogoHeight = @(60*screenScale);
    clOrientationLayOutLandscape.clLayoutLogoCenterX = @(0);
    clOrientationLayOutLandscape.clLayoutLogoTop = @(25*screenScale);
    
    clOrientationLayOutLandscape.clLayoutPhoneCenterY = @(-20*screenScale);
    clOrientationLayOutLandscape.clLayoutPhoneLeft = @(50*screenScale);
    clOrientationLayOutLandscape.clLayoutPhoneRight = @(-50*screenScale);
    clOrientationLayOutLandscape.clLayoutPhoneHeight = @(20*screenScale);
    
    clOrientationLayOutLandscape.clLayoutLoginBtnCenterY= @(clOrientationLayOutLandscape.clLayoutPhoneCenterY.floatValue + clOrientationLayOutLandscape.clLayoutPhoneHeight.floatValue*0.5*screenScale + 20*screenScale + 15*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnHeight = @(30*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnLeft = @(70*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnRight = @(-70*screenScale);
    
    clOrientationLayOutLandscape.clLayoutAppPrivacyLeft = @(40*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyRight = @(-40*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyBottom = @(0*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyHeight = @(45*screenScale);
    
    clOrientationLayOutLandscape.clLayoutSloganLeft = @(0);
    clOrientationLayOutLandscape.clLayoutSloganRight = @(0);
    clOrientationLayOutLandscape.clLayoutSloganHeight = @(15*screenScale);
    clOrientationLayOutLandscape.clLayoutSloganBottom = @(clOrientationLayOutLandscape.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutLandscape.clLayoutAppPrivacyHeight.floatValue);
    
    baseUIConfigure.clOrientationLayOutPortrait = clOrientationLayOutPortrait;
    baseUIConfigure.clOrientationLayOutLandscape = clOrientationLayOutLandscape;

    return baseUIConfigure;
}

#pragma mark - 样式4：横竖屏两套布局样式
- (CLUIConfigure *)configureStyle4:(CLUIConfigure *)inputConfigure{
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    
    UIColor * style2Color = [UIColor colorWithRed:33/255.0 green:113/255.0 blue:242/255.0 alpha:1];;
    
    CLUIConfigure * baseUIConfigure = inputConfigure;
    
    //横竖屏设置
    baseUIConfigure.shouldAutorotate = @(NO);
    baseUIConfigure.supportedInterfaceOrientations = @(UIInterfaceOrientationMaskPortrait|UIInterfaceOrientationMaskAll);
//    baseUIConfigure.supportedInterfaceOrientations = @(UIInterfaceOrientationMaskLandscapeLeft);
//    baseUIConfigure.preferredInterfaceOrientationForPresentation = @(UIInterfaceOrientationLandscapeLeft);
    
//    baseUIConfigure.clNavigationBackgroundClear = @(YES);
//    baseUIConfigure.clNavigationBottomLineHidden = @(YES);
//    baseUIConfigure.clNavigationBarHidden = @(YES);
    baseUIConfigure.clPreferredStatusBarStyle = @(UIStatusBarStyleLightContent);
    baseUIConfigure.clNavigationBarStyle = @(UIBarStyleBlack);
//    baseUIConfigure.clNavigationBarTintColor = UIColor.blueColor;
    //    baseUIConfigure.clNavigationBackBtnImage = [UIImage imageNamed:@"矩形 124 拷贝"];
    
    //LOGO
    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"闪验logo2"];
    
    //PhoneNumber
    baseUIConfigure.clPhoneNumberColor = style2Color;
    baseUIConfigure.clPhoneNumberFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:18.0*screenScale];
    
    //LoginBtn
    baseUIConfigure.clLoginBtnText = @"一键登录";
    baseUIConfigure.clLoginBtnTextFont = [UIFont systemFontOfSize:15*screenScale];
    baseUIConfigure.clLoginBtnBgColor = UIColor.blueColor;
    baseUIConfigure.clLoginBtnCornerRadius = @(10*screenScale);
    baseUIConfigure.clLoginBtnTextColor = UIColor.cyanColor;
    
    //Privacy
    baseUIConfigure.clAppPrivacyFirst = @[@"测试连接A",@"https://www.baidu.com"];
    baseUIConfigure.clAppPrivacySecond = @[@"测试连接B",@"https://www.sina.com"];
    
    baseUIConfigure.clAppPrivacyColor = @[[UIColor lightGrayColor],style2Color];
    baseUIConfigure.clAppPrivacyTextAlignment = @(NSTextAlignmentCenter);
    baseUIConfigure.clAppPrivacyTextFont = [UIFont systemFontOfSize:11];
    //        baseUIConfigure.clAppPrivacyLineSpacing = @(2);
    //        baseUIConfigure.clAppPrivacyNeedSizeToFit = @(YES);
    
    //CheckBox
    baseUIConfigure.clCheckBoxHidden = @(YES);
    baseUIConfigure.clCheckBoxValue = @(YES);
    
    //Slogan
    baseUIConfigure.clSloganTextColor = UIColor.lightGrayColor;
    baseUIConfigure.clSloganTextFont = [UIFont systemFontOfSize:11.0];
    baseUIConfigure.clSlogaTextAlignment = @(NSTextAlignmentCenter);
    
    __weak typeof(self) weakSelf = self;
    
    

    baseUIConfigure.customAreaView = ^(UIView * _Nonnull customAreaView) {
        __strong typeof(weakSelf) strongSelf = weakSelf;

    };
    
    
    //layout 布局
    //布局-竖屏
    CLOrientationLayOut * clOrientationLayOutPortrait = [CLOrientationLayOut new];
    
    clOrientationLayOutPortrait.clLayoutLogoWidth = @(108*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoHeight = @(44*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoCenterX = @(0);
    clOrientationLayOutPortrait.clLayoutLogoTop = @(screenHeight_Portrait*0.2);
    
    clOrientationLayOutPortrait.clLayoutPhoneTop = @(clOrientationLayOutPortrait.clLayoutLogoTop.floatValue + clOrientationLayOutPortrait.clLayoutLogoHeight.floatValue);
    clOrientationLayOutPortrait.clLayoutPhoneCenterX = @(0);
    clOrientationLayOutPortrait.clLayoutPhoneHeight = @(25*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneWidth = @(screenWidth_Landscape*0.5);
    
    clOrientationLayOutPortrait.clLayoutLoginBtnTop= @(screenHeight_Portrait*0.4 + 15*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnHeight = @(40*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnLeft = @(20*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnRight = @(-20*screenScale);
    
    clOrientationLayOutPortrait.clLayoutAppPrivacyLeft = @(40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyRight = @(-40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyBottom = @(-160*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyHeight = @(45*screenScale);
    
    clOrientationLayOutPortrait.clLayoutSloganLeft = @(0);
    clOrientationLayOutPortrait.clLayoutSloganRight = @(0);
    clOrientationLayOutPortrait.clLayoutSloganHeight = @(15);
    clOrientationLayOutPortrait.clLayoutSloganBottom = @(clOrientationLayOutPortrait.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutPortrait.clLayoutAppPrivacyHeight.floatValue);
    
    //布局-横屏
    CLOrientationLayOut * clOrientationLayOutLandscape = [CLOrientationLayOut new];
    
    clOrientationLayOutLandscape.clLayoutLogoWidth = @(108*screenScale);
    clOrientationLayOutLandscape.clLayoutLogoHeight = @(44*screenScale);
    clOrientationLayOutLandscape.clLayoutLogoCenterX = @(-40);
    clOrientationLayOutLandscape.clLayoutLogoTop = @(screenHeight_Landscape*0.2);
    
    clOrientationLayOutLandscape.clLayoutPhoneTop = @(clOrientationLayOutLandscape.clLayoutLogoTop.floatValue + clOrientationLayOutLandscape.clLayoutLogoHeight.floatValue);
    clOrientationLayOutLandscape.clLayoutPhoneCenterX = clOrientationLayOutLandscape.clLayoutLogoCenterX;
    clOrientationLayOutLandscape.clLayoutPhoneHeight = @(25*screenScale);
    clOrientationLayOutLandscape.clLayoutPhoneWidth = @(screenWidth_Landscape*0.5);
    
    clOrientationLayOutLandscape.clLayoutLoginBtnTop = @(screenHeight_Landscape*0.4 + 15*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnHeight = @(40*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnCenterX = clOrientationLayOutLandscape.clLayoutLogoCenterX;
    clOrientationLayOutLandscape.clLayoutLoginBtnWidth = @(screenWidth_Landscape * 0.5);
    
    clOrientationLayOutLandscape.clLayoutAppPrivacyCenterX = clOrientationLayOutLandscape.clLayoutLogoCenterX;
    clOrientationLayOutLandscape.clLayoutAppPrivacyBottom = @(0);
    clOrientationLayOutLandscape.clLayoutAppPrivacyHeight = @(45*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyWidth = @(screenWidth_Landscape * 0.5);
    
    clOrientationLayOutLandscape.clLayoutSloganCenterX= clOrientationLayOutLandscape.clLayoutLogoCenterX;
    clOrientationLayOutLandscape.clLayoutSloganWidth = @(screenWidth_Landscape * 0.5);;
    clOrientationLayOutLandscape.clLayoutSloganHeight = @(15);
    clOrientationLayOutLandscape.clLayoutSloganBottom = @(clOrientationLayOutLandscape.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutLandscape.clLayoutAppPrivacyHeight.floatValue);
    
    baseUIConfigure.clOrientationLayOutPortrait = clOrientationLayOutPortrait;
    baseUIConfigure.clOrientationLayOutLandscape = clOrientationLayOutLandscape;
    
    return baseUIConfigure;
}
-(void)setSeylt2Contrains:(UIImageView*)bg0 bg:(UIImageView *)bg wx:(UIView *)wx qq:(UIView*)qq webo:(UIView *)wb customView:(UIView *)customView{
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    [bg0 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.edges.insets(UIEdgeInsetsZero);
    }];
    
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        //竖屏
        bg0.image = [UIImage imageNamed:@"720*1280竖屏背景"];
        bg.image = [UIImage imageNamed:@"竖屏上滑弹窗2"];
        
        [bg mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.left.top.right.mas_equalTo(0);
            make.bottom.mas_equalTo(-40);
        }];
        
        [qq mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerX.mas_equalTo(0);
            make.bottom.mas_equalTo(-160*screenScale - 45*screenScale - 15 - 30*screenScale);//
            make.width.height.mas_equalTo(35);
        }];
        [wx mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.right.mas_equalTo(qq.mas_left).mas_offset(-40);
        }];
        [wb mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.left.mas_equalTo(qq.mas_right).mas_offset(40);
        }];
    }else{
        bg0.image = [UIImage imageNamed:@"720横屏背景"];
        bg.image = [UIImage imageNamed:@"闪电弹窗横屏侧滑"];
        [bg mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.left.top.bottom.mas_equalTo(0);
            make.right.mas_equalTo(-40);
        }];
        
        [qq mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerX.mas_equalTo(-40);
            make.bottom.mas_equalTo(-45*screenScale - 15 - 30*screenScale);//
            make.width.height.mas_equalTo(35);
        }];
        [wx mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.right.mas_equalTo(qq.mas_left).mas_offset(-40);
        }];
        [wb mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.left.mas_equalTo(qq.mas_right).mas_offset(40);
        }];
    }
}


#pragma mark - 样式5：窗口横竖屏两套布局样式
- (CLUIConfigure *)configureStyle5:(CLUIConfigure *)inputConfigure{
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    
    UIColor * style2Color = [UIColor colorWithRed:33/255.0 green:113/255.0 blue:242/255.0 alpha:1];;
    
    CLUIConfigure * baseUIConfigure = inputConfigure;
    
    //横竖屏设置
    baseUIConfigure.shouldAutorotate = @(YES);
    baseUIConfigure.supportedInterfaceOrientations = @(UIInterfaceOrientationMaskAll);
//    baseUIConfigure.preferredInterfaceOrientationForPresentation = @(UIInterfaceOrientationLandscapeLeft);
    
    baseUIConfigure.clAuthTypeUseWindow = @(YES);
//    baseUIConfigure.clAuthWindowCornerRadius = @(10);
//    baseUIConfigure.clAuthWindowModalTransitionStyle = @(UIModalTransitionStyleCoverVertical);
    
    baseUIConfigure.clNavigationBackgroundClear = @(NO);
//    baseUIConfigure.clNavigationBackBtnHidden = @(YES);
    baseUIConfigure.clNavigationBottomLineHidden = @(YES);
    baseUIConfigure.clNavBackBtnAlimentRight = @(YES);
    //LOGO
    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"闪验logo2"];
    
    //PhoneNumber
    baseUIConfigure.clPhoneNumberColor = style2Color;
    baseUIConfigure.clPhoneNumberFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:18.0*screenScale];
    
    //LoginBtn
//    baseUIConfigure.clLoginBtnText = [NSString stringWithFormat:@"一键登录%f",CFAbsoluteTimeGetCurrent()];
    baseUIConfigure.clLoginBtnText = @"一键登录";

    baseUIConfigure.clLoginBtnTextFont = [UIFont systemFontOfSize:15*screenScale];
    baseUIConfigure.clLoginBtnBgColor = style2Color;
    baseUIConfigure.clLoginBtnCornerRadius = @(10*screenScale);
    baseUIConfigure.clLoginBtnTextColor = UIColor.whiteColor;
    
    //Privacy
    baseUIConfigure.clAppPrivacyFirst = @[@"测试连接A",@"https://www.baidu.com"];
    baseUIConfigure.clAppPrivacySecond = @[@"18055352658",@"https://www.sina.com"];
    
    baseUIConfigure.clAppPrivacyColor = @[[UIColor lightGrayColor],style2Color];
    baseUIConfigure.clAppPrivacyTextAlignment = @(NSTextAlignmentCenter);
    baseUIConfigure.clAppPrivacyTextFont = [UIFont systemFontOfSize:13];
    //        baseUIConfigure.clAppPrivacyLineSpacing = @(2);
    //        baseUIConfigure.clAppPrivacyNeedSizeToFit = @(YES);
    
    //CheckBox
//    baseUIConfigure.clCheckBoxHidden = @(YES);
    baseUIConfigure.clCheckBoxValue = @(NO);
    baseUIConfigure.clCheckBoxCheckedImage = [UIImage imageNamed:@"checkbox-multiple-ma"];
    baseUIConfigure.clCheckBoxUncheckedImage = [UIImage imageNamed:@"checkbox-multiple-bl"];
    baseUIConfigure.clCheckBoxImageEdgeInsets = [NSValue valueWithUIEdgeInsets:UIEdgeInsetsMake(8, 8, 0, 0)];
    
    //Slogan
    baseUIConfigure.clSloganTextColor = UIColor.lightGrayColor;
    baseUIConfigure.clSloganTextFont = [UIFont systemFontOfSize:11.0];
    baseUIConfigure.clSlogaTextAlignment = @(NSTextAlignmentCenter);
    
    UIButton * rightButton = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 25, 25)];
    [rightButton setImage:[UIImage imageNamed:@"close-black"] forState:(UIControlStateNormal)];
    UIBarButtonItem * right = [[UIBarButtonItem alloc]initWithCustomView:rightButton];
    [rightButton addTarget:self action:@selector(dismissCurrentVC) forControlEvents:UIControlEventTouchUpInside];
    
    // 自定义优先级更高
//    baseUIConfigure.clNavigationRightControl = right;
    
    
    __weak typeof(self) weakSelf = self;
    baseUIConfigure.customAreaView = ^(UIView * _Nonnull customAreaView) {
        __strong typeof(weakSelf) strongSelf = weakSelf;
        
        UIButton * weChat = [[UIButton alloc]init];
        [weChat setBackgroundImage:[UIImage imageNamed:@"微信"] forState:(UIControlStateNormal)];
        [customAreaView addSubview:weChat];
        UIButton * qq = [[UIButton alloc]init];
        [qq setBackgroundImage:[UIImage imageNamed:@"qq"] forState:(UIControlStateNormal)];
        [customAreaView addSubview:qq];
        
        UIButton * weibo = [[UIButton alloc]init];
        [weibo setBackgroundImage:[UIImage imageNamed:@"weibo"] forState:(UIControlStateNormal)];
        [customAreaView addSubview:weibo];
        
        //布局
        [strongSelf setSeylt3Contrains:weChat qq:qq webo:weibo customView:customAreaView];
        
        //屏幕旋转通知
        @weakify(weChat)
        @weakify(qq)
        @weakify(weibo)
        @weakify(customAreaView)
        [strongSelf->_notifObserverArray addObject:[[NSNotificationCenter defaultCenter] addObserverForName:UIApplicationDidChangeStatusBarFrameNotification object:nil queue:NSOperationQueue.mainQueue usingBlock:^(NSNotification * _Nonnull note) {
            @strongify(weChat)
            @strongify(qq)
            @strongify(weibo)
            @strongify(customAreaView)
            [weakSelf setSeylt3Contrains:weChat qq:qq webo:weibo customView:customAreaView];
        }]];

        
        [weChat addTarget:self action:@selector(otherLoginBtnClicked) forControlEvents:(UIControlEventTouchUpInside)];
        [qq addTarget:self action:@selector(otherLoginBtnClicked) forControlEvents:(UIControlEventTouchUpInside)];
        [weibo addTarget:self action:@selector(otherLoginBtnClicked) forControlEvents:(UIControlEventTouchUpInside)];
    };
    
    
    //layout 布局
    //布局-竖屏
    CLOrientationLayOut * clOrientationLayOutPortrait = [CLOrientationLayOut new];
    
    //窗口
    clOrientationLayOutPortrait.clAuthWindowOrientationWidth = @(screenWidth_Portrait);
    clOrientationLayOutPortrait.clAuthWindowOrientationHeight = @(334);
    clOrientationLayOutPortrait.clAuthWindowOrientationCenter = [NSValue valueWithCGPoint:CGPointMake(screenWidth_Portrait*0.5, (screenHeight_Portrait+334)*0.5)];
//    clOrientationLayOutPortrait.clAuthWindowOrientationOrigin = [NSValue valueWithCGPoint:CGPointMake(0, screenHeight_Portrait*0.5)];

    //控件
    clOrientationLayOutPortrait.clLayoutLogoWidth = @(108*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoHeight = @(44*screenScale);
    clOrientationLayOutPortrait.clLayoutLogoCenterX = @(0);
    clOrientationLayOutPortrait.clLayoutLogoTop = @(clOrientationLayOutPortrait.clAuthWindowOrientationHeight.floatValue*0.15);
    
    clOrientationLayOutPortrait.clLayoutPhoneTop = @(clOrientationLayOutPortrait.clLayoutLogoTop.floatValue + clOrientationLayOutPortrait.clLayoutLogoHeight.floatValue);
    clOrientationLayOutPortrait.clLayoutPhoneCenterX = @(0);
    clOrientationLayOutPortrait.clLayoutPhoneHeight = @(25*screenScale);
    clOrientationLayOutPortrait.clLayoutPhoneWidth = @(screenWidth_Portrait*0.8);
    
    clOrientationLayOutPortrait.clLayoutLoginBtnTop= @(clOrientationLayOutPortrait.clAuthWindowOrientationHeight.floatValue*0.4 + 15*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnHeight = @(40*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnLeft = @(20*screenScale);
    clOrientationLayOutPortrait.clLayoutLoginBtnRight = @(-20*screenScale);
    
    clOrientationLayOutPortrait.clLayoutAppPrivacyLeft = @(40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyRight = @(-40*screenScale);
    clOrientationLayOutPortrait.clLayoutAppPrivacyBottom = @(0);
    clOrientationLayOutPortrait.clLayoutAppPrivacyHeight = @(65*screenScale);
    
    clOrientationLayOutPortrait.clLayoutSloganLeft = @(0);
    clOrientationLayOutPortrait.clLayoutSloganRight = @(0);
    clOrientationLayOutPortrait.clLayoutSloganHeight = @(15);
    clOrientationLayOutPortrait.clLayoutSloganBottom = @(clOrientationLayOutPortrait.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutPortrait.clLayoutAppPrivacyHeight.floatValue);
    
    
    //布局-横屏
    CLOrientationLayOut * clOrientationLayOutLandscape = [CLOrientationLayOut new];
    
    clOrientationLayOutLandscape.clAuthWindowOrientationWidth = @(screenWidth_Landscape * 0.6);
    clOrientationLayOutLandscape.clAuthWindowOrientationHeight = @(screenHeight_Landscape * 0.8);
    clOrientationLayOutLandscape.clAuthWindowOrientationCenter = [NSValue valueWithCGPoint:CGPointMake(screenWidth_Landscape*0.5, screenHeight_Landscape*0.5)];
    
    //控件
    clOrientationLayOutLandscape.clLayoutLogoWidth = @(108*screenScale);
    clOrientationLayOutLandscape.clLayoutLogoHeight = @(44*screenScale);
    clOrientationLayOutLandscape.clLayoutLogoCenterX = @(0);
    clOrientationLayOutLandscape.clLayoutLogoTop = @(clOrientationLayOutLandscape.clAuthWindowOrientationHeight.floatValue*0.15);
    
    clOrientationLayOutLandscape.clLayoutPhoneTop = @(clOrientationLayOutLandscape.clLayoutLogoTop.floatValue + clOrientationLayOutLandscape.clLayoutLogoHeight.floatValue);
    clOrientationLayOutLandscape.clLayoutPhoneCenterX = @(0);
    clOrientationLayOutLandscape.clLayoutPhoneHeight = @(25*screenScale);
    clOrientationLayOutLandscape.clLayoutPhoneWidth = @(screenWidth_Landscape*0.8);
    
    clOrientationLayOutLandscape.clLayoutLoginBtnTop= @(clOrientationLayOutLandscape.clAuthWindowOrientationHeight.floatValue*0.4 + 15*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnHeight = @(40*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnLeft = @(60*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnRight = @(-60*screenScale);
    
    clOrientationLayOutLandscape.clLayoutAppPrivacyLeft = @(60*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyRight = @(-60*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyBottom = @(0);
    clOrientationLayOutLandscape.clLayoutAppPrivacyHeight = @(55*screenScale);
    
    clOrientationLayOutLandscape.clLayoutSloganLeft = @(0);
    clOrientationLayOutLandscape.clLayoutSloganRight = @(0);
    clOrientationLayOutLandscape.clLayoutSloganHeight = @(15);
    clOrientationLayOutLandscape.clLayoutSloganBottom = @(clOrientationLayOutLandscape.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutLandscape.clLayoutAppPrivacyHeight.floatValue);
    
    
    baseUIConfigure.clOrientationLayOutPortrait = clOrientationLayOutPortrait;
    baseUIConfigure.clOrientationLayOutLandscape = clOrientationLayOutLandscape;
    
    return baseUIConfigure;
}
-(void)setSeylt3Contrains:(UIView *)wx qq:(UIView*)qq webo:(UIView *)wb customView:(UIView *)customView{
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        //竖屏
        [qq mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerX.mas_equalTo(0);
            make.bottom.mas_equalTo( - 45*screenScale - 15 - 30*screenScale);//
            make.width.height.mas_equalTo(35);
        }];
        [wx mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.right.mas_equalTo(qq.mas_left).mas_offset(-40);
        }];
        [wb mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.left.mas_equalTo(qq.mas_right).mas_offset(40);
        }];
    }else{
        [qq mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerX.mas_equalTo(0);
            make.bottom.mas_equalTo(-45*screenScale - 15 - 10*screenScale);//
            make.width.height.mas_equalTo(35);
        }];
        [wx mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.right.mas_equalTo(qq.mas_left).mas_offset(-40);
        }];
        [wb mas_remakeConstraints:^(MASConstraintMaker *make) {
            make.centerY.width.height.mas_equalTo(qq);
            make.left.mas_equalTo(qq.mas_right).mas_offset(40);
        }];
    }
}

#pragma mark - 样式6：窗口横屏
- (CLUIConfigure *)configureStyle6:(CLUIConfigure *)inputConfigure{
    CGFloat screenWidth_Portrait;
    CGFloat screenHeight_Portrait;
    CGFloat screenWidth_Landscape;
    CGFloat screenHeight_Landscape;
    UIInterfaceOrientation orientation = [UIApplication sharedApplication].statusBarOrientation;
    if (orientation == UIInterfaceOrientationPortrait || orientation == UIInterfaceOrientationPortraitUpsideDown) {
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.width;
    }else{
        screenWidth_Portrait = UIScreen.mainScreen.bounds.size.height;
        screenHeight_Portrait = UIScreen.mainScreen.bounds.size.width;
        screenWidth_Landscape = UIScreen.mainScreen.bounds.size.width;
        screenHeight_Landscape = UIScreen.mainScreen.bounds.size.height;
    }
    
    CGFloat screenScale = [UIScreen mainScreen].bounds.size.width/375.0;
    if (screenScale > 1) {
        screenScale = 1;
    }
    
    UIColor * style2Color = [UIColor colorWithRed:33/255.0 green:113/255.0 blue:242/255.0 alpha:1];;
    
    CLUIConfigure * baseUIConfigure = inputConfigure;
    
    baseUIConfigure.clCheckBoxValue = @(YES);
    
    //横竖屏设置
    baseUIConfigure.shouldAutorotate = @(YES);
//    baseUIConfigure.supportedInterfaceOrientations = @(UIInterfaceOrientationMaskLandscape);
//    baseUIConfigure.preferredInterfaceOrientationForPresentation = @(UIInterfaceOrientationPortrait);
    
    baseUIConfigure.clAuthTypeUseWindow = @(YES);
    baseUIConfigure.clAuthWindowCornerRadius = @(10);
    baseUIConfigure.clAuthWindowModalTransitionStyle = @(UIViewAnimationOptionTransitionCrossDissolve);
    
    baseUIConfigure.clNavigationBarHidden = @(YES);
    baseUIConfigure.clNavigationBackBtnHidden = @(YES);
    baseUIConfigure.clNavigationBottomLineHidden = @(YES);
    
    //LOGO
    baseUIConfigure.clLogoImage = [UIImage imageNamed:@"闪验logo2"];
    
    //PhoneNumber
    baseUIConfigure.clPhoneNumberColor = [UIColor colorWithRed:0.1 green:0.18 blue:0.45 alpha:1];
    baseUIConfigure.clPhoneNumberFont = [UIFont fontWithName:@"PingFang-SC-Medium" size:18.0*screenScale];
    baseUIConfigure.clPhoneNumberTextAlignment = @(NSTextAlignmentLeft);
    
    //LoginBtn
    baseUIConfigure.clLoginBtnText = @"一键登录";
    baseUIConfigure.clLoginBtnTextFont = [UIFont systemFontOfSize:15*screenScale];
    baseUIConfigure.clLoginBtnBgColor = style2Color;
    baseUIConfigure.clLoginBtnCornerRadius = @(10*screenScale);
    
    //Privacy
    baseUIConfigure.clAppPrivacyFirst = @[@"测试连接A",@"https://www.baidu.com"];
    baseUIConfigure.clAppPrivacySecond = @[@"测试连接B",@"https://www.sina.com"];
    
    baseUIConfigure.clAppPrivacyColor = @[[UIColor lightGrayColor],style2Color];
    baseUIConfigure.clAppPrivacyTextAlignment = @(NSTextAlignmentCenter);
    baseUIConfigure.clAppPrivacyTextFont = [UIFont systemFontOfSize:11];
    //        baseUIConfigure.clAppPrivacyLineSpacing = @(2);
    //        baseUIConfigure.clAppPrivacyNeedSizeToFit = @(YES);
    
    //CheckBox
    baseUIConfigure.clCheckBoxHidden = @(YES);
    baseUIConfigure.clCheckBoxValue = @(YES);
    
    //Slogan
    baseUIConfigure.clSloganTextColor = UIColor.lightGrayColor;
    baseUIConfigure.clSloganTextFont = [UIFont systemFontOfSize:11.0];
    baseUIConfigure.clSlogaTextAlignment = @(NSTextAlignmentCenter);
    
    UIButton * rightButton = [[UIButton alloc]initWithFrame:CGRectMake(0, 0, 25, 25)];
    [rightButton setImage:[UIImage imageNamed:@"close-black"] forState:(UIControlStateNormal)];
    UIBarButtonItem * right = [[UIBarButtonItem alloc]initWithCustomView:rightButton];
    [rightButton addTarget:self action:@selector(dismissCurrentVC) forControlEvents:UIControlEventTouchUpInside];
    baseUIConfigure.clNavigationRightControl = right;
    
    
    __weak typeof(self) weakSelf = self;
    baseUIConfigure.customAreaView = ^(UIView * _Nonnull customAreaView) {
        __strong typeof(weakSelf) strongSelf = weakSelf;
        
        UIView * line = [UIView new];
        line.backgroundColor = [UIColor colorWithWhite:0.9 alpha:1];
        [customAreaView addSubview:line];
        [line mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.right.mas_equalTo(0);
            make.height.mas_equalTo(0.5);
            make.top.mas_equalTo(45);
        }];
        
        UIButton * closeButton = [UIButton new];
        [closeButton addTarget:self action:@selector(dismissCurrentVC) forControlEvents:(UIControlEventTouchUpInside)];
        [customAreaView addSubview:closeButton];
        [closeButton setImageEdgeInsets:UIEdgeInsetsMake(5, 5, 5, 5)];
        [closeButton setImage:[UIImage imageNamed:@"close-black"] forState:(UIControlStateNormal)];
        [closeButton mas_makeConstraints:^(MASConstraintMaker *make) {
            make.top.mas_equalTo(0);
            make.width.height.mas_equalTo(45);
            make.right.mas_equalTo(-5);
        }];
        
        UIButton * weChat = [[UIButton alloc]init];
        [weChat setBackgroundImage:[UIImage imageNamed:@"微信"] forState:(UIControlStateNormal)];
        [customAreaView addSubview:weChat];
        UIButton * qq = [[UIButton alloc]init];
        [qq setBackgroundImage:[UIImage imageNamed:@"qq"] forState:(UIControlStateNormal)];
        [customAreaView addSubview:qq];
        
        UIButton * weibo = [[UIButton alloc]init];
        [weibo setBackgroundImage:[UIImage imageNamed:@"weibo"] forState:(UIControlStateNormal)];
        [customAreaView addSubview:weibo];
    };
    
    
    //layout 布局
    //布局-横屏
    CLOrientationLayOut * clOrientationLayOutLandscape = [CLOrientationLayOut new];
    
    clOrientationLayOutLandscape.clAuthWindowOrientationWidth = @(screenWidth_Landscape * 0.6);
    clOrientationLayOutLandscape.clAuthWindowOrientationHeight = @(screenHeight_Landscape * 0.6);
    clOrientationLayOutLandscape.clAuthWindowOrientationCenter = [NSValue valueWithCGPoint:CGPointMake(screenWidth_Landscape*0.5, screenHeight_Landscape*0.5)];
    
    //控件
    clOrientationLayOutLandscape.clLayoutLogoWidth = @(90);
    clOrientationLayOutLandscape.clLayoutLogoHeight = @(30);
    clOrientationLayOutLandscape.clLayoutLogoLeft = @(10);
    clOrientationLayOutLandscape.clLayoutLogoTop = @(10);
    
    clOrientationLayOutLandscape.clLayoutPhoneCenterY = @(0);
    clOrientationLayOutLandscape.clLayoutPhoneLeft = @(20);
    clOrientationLayOutLandscape.clLayoutPhoneHeight = @(25*screenScale);
    clOrientationLayOutLandscape.clLayoutPhoneWidth = @(120);
    
    clOrientationLayOutLandscape.clLayoutLoginBtnCenterY = @(0);
    clOrientationLayOutLandscape.clLayoutLoginBtnHeight = @(40*screenScale);
    clOrientationLayOutLandscape.clLayoutLoginBtnLeft = @(clOrientationLayOutLandscape.clLayoutPhoneWidth.floatValue + clOrientationLayOutLandscape.clLayoutPhoneLeft.floatValue + 15);
    clOrientationLayOutLandscape.clLayoutLoginBtnWidth = @(clOrientationLayOutLandscape.clAuthWindowOrientationWidth.floatValue*0.4);
    
    clOrientationLayOutLandscape.clLayoutAppPrivacyLeft = @(60*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyRight = @(-60*screenScale);
    clOrientationLayOutLandscape.clLayoutAppPrivacyBottom = @(0);
    clOrientationLayOutLandscape.clLayoutAppPrivacyHeight = @(45*screenScale);
    
    clOrientationLayOutLandscape.clLayoutSloganLeft = @(0);
    clOrientationLayOutLandscape.clLayoutSloganRight = @(0);
    clOrientationLayOutLandscape.clLayoutSloganHeight = @(15);
    clOrientationLayOutLandscape.clLayoutSloganBottom = @(clOrientationLayOutLandscape.clLayoutAppPrivacyBottom.floatValue - clOrientationLayOutLandscape.clLayoutAppPrivacyHeight.floatValue);
    
    baseUIConfigure.clOrientationLayOutLandscape = clOrientationLayOutLandscape;
    
    return baseUIConfigure;
}


#pragma mark - CLShanYanSDKManagerDelegate
- (void)clShanYanSDKManagerWebPrivacyClicked:(NSString *)privacyName privacyIndex:(NSInteger)index currentTelecom:(NSString *)telecom{
    NSLog(@"协议名称：%@---协议位置：%lu---当前运营商：%@",privacyName,index,telecom);
}
- (void)clShanYanSDKManagerAuthPageAfterViewDidLoad:(UIView *)authPageView currentTelecom:(NSString *)telecom{
    
    //给当前页面显示弹窗背景蒙版viewr（如果需要蒙版，自行添加）
    [self showShanYanAuthPageMaskViewWhenUseWindow];
    
    /**在关闭授权页的时候注意隐藏蒙版，具体的隐藏蒙版时机：
     * 1.oneKeyLoginListener 返回error：点击自带返回，页面将自动关闭，需隐藏蒙版；或者一键登录获取token出错，在调用关闭授权页时，需隐藏蒙版
     * 2.自定义控件关闭授权页，需隐藏蒙版
     * 3.等待获取真实手机号结束，关闭授权页，需隐藏蒙版
     */
}

- (void)clShanYanSDKManagerAuthPageDeallocCurrentTelecom:(NSString *)telecom{
    NSLog(@"currentThread == %@",NSThread.currentThread);
    
    if ([NSThread.currentThread isMainThread]) {
        //授权页销毁可再调一次隐藏蒙版
        [self hideShanYanAuthPageMaskViewWhenUseWindow];
    } else {
        dispatch_async(dispatch_get_main_queue(), ^{
            //授权页销毁可再调一次隐藏蒙版
            [self hideShanYanAuthPageMaskViewWhenUseWindow];
        });
    }
}


//给当前页面显示弹窗背景蒙版view
-(void)showShanYanAuthPageMaskViewWhenUseWindow{
    UIView * masker = [self.view viewWithTag:72305723971];
    if (masker == nil) {
        masker = [[UIView alloc]initWithFrame:self.view.bounds];
        masker.backgroundColor = [UIColor colorWithRed:0.2 green:0.2 blue:0.2 alpha:0.8];
        masker.tag = 72305723971;
    }
    [self.view addSubview:masker];
    //需要使用约束，以保证旋转后mask仍全屏
    [masker mas_makeConstraints:^(MASConstraintMaker *make) {
        make.edges.insets(UIEdgeInsetsZero);
    }];
}
-(void)hideShanYanAuthPageMaskViewWhenUseWindow{
    dispatch_async(dispatch_get_main_queue(), ^{
        UIView * masker = [self.view viewWithTag:72305723971];
        [masker removeFromSuperview];
    });
}


- (void)otherLoginBtnClicked{
    [CLShanYanSDKManager finishAuthControllerCompletion:^{
        
    }];
    
    [self hideShanYanAuthPageMaskViewWhenUseWindow];
}

@end
